<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package itcode
 * @since 1.0
 * @version 1.0
 */

$layout_style = get_theme_mod('itcode_container_type', 'container');
get_header();
?>
<div class="wrapper page404" id="404-wrapper">
    <div class="<?php echo $layout_style ; ?>" id="content">
        <section class="error-404 not-found">
            <div class="row align-items-center">
                <div class="col">
                    <?php if (get_theme_mod('page_404_image', '') !== ''){ ?>
                        <div class="row justify-content-center my-2">
                            <img src="<?php echo esc_attr( get_theme_mod('page_404_image', '') ) ?>" alt="<?php echo wp_kses_post( get_theme_mod('subtitle_404', '') ); ?>" />
                        </div>

                    <?php } ?>

                    <div class="row justify-content-center my-2">
                        <h2><?php echo esc_html__('404 OOPS! PAGE NOT FOUND.','itcode') ?></h2>
                    </div>
                    <div class="row justify-content-center my-2">
                        <div class="col-7">
                            <?php echo esc_html__( get_theme_mod('subtitle_404', '') ); ?>
                        </div>
                    </div>
                    <div class="row justify-content-center my-2">
                        <div class="col-6">
                            <?php get_search_form(); ?>
                        </div>
                    </div>
                    <div class="row justify-content-center my-2">
                        <a class="btn btn-primary size-lg" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html__('BACK TO HOMEPAGE','itcode') ?></a>
                    </div>
                </div>
            </div>
        </section><!-- end section -->
    </div><!-- Container end -->
</div><!-- Wrapper end -->

<?php get_footer(); ?>
