<?php
/**
 * The template for displaying the author pages.
 *
 * Learn more: https://codex.wordpress.org/Author_Templates
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package itcode
 * @since 1.0
 * @version 1.0
 */

$itcode_loop = itcode_loop(); // global return var  itcode_loop

$itcode_loop['layout_style'] = isset( $_GET['layout'] ) ? $_GET['layout'] : get_theme_mod( 'page_layout', 'container' );

$itcode_loop['sidebar']  = isset( $_GET['sidebar'] ) ? $_GET['sidebar'] : get_theme_mod( 'page_sidebar', 'right' );

$itcode_loop['paging_style']  = isset( $_GET['paging'] ) ? $_GET['paging'] : get_theme_mod('page_paging_style', 'default');

$itcode_loop['sidebar_width'] = isset( $_GET['sidebar_width'] ) ? $_GET['sidebar_width'] : get_theme_mod('page_sidebar_width', 'small');


$itcode_loop['left_sidebar'] = get_theme_mod('page_left_sidebar' , 'sidebar-1');
$itcode_loop['right_sidebar'] = get_theme_mod('page_right_sidebar' , 'sidebar-2');


$itcode_loop['image-size'] = 'blog-classic';

$itcode_loop['sidebar_col'] = 'col-md-3';
if ( $itcode_loop['sidebar_width'] == 'large' ) {
    $itcode_loop['sidebar_col'] = 'col-md-4';
}

// bootstrap grid
$itcode_loop['content_col_number'] = 12;
if ( is_active_sidebar( $itcode_loop['left_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'both' ) || ( $itcode_loop['sidebar'] == 'left' ) ) ) {
    if ( $itcode_loop['sidebar_width'] == 'large' ) {
        $itcode_loop['content_col_number'] -= 4;
    } else {
        $itcode_loop['content_col_number'] -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}
if ( is_active_sidebar( $itcode_loop['right_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'both' ) || ( $itcode_loop['sidebar'] == 'right' ) ) ) {
    if ( $itcode_loop['sidebar_width'] == 'large' ) {
        $itcode_loop['content_col_number'] -= 4;
    } else {
        $itcode_loop['content_col_number'] -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}

$itcode_loop['content_col'] = 'col-md-' . $itcode_loop['content_col_number'];
if ( ( $itcode_loop['content_col_number'] == 12 ) && ( $itcode_loop['layout_style'] == 'full' ) ) {
    $itcode_loop['content_col'] = '';
}

$itcode_loop['wrapper_id']= 'page-wrapper';

$itcode_loop['main_class'][] = 'site-content-page';

if ( $itcode_loop['content_col_number'] < 12 ) {
    $itcode_loop['main_class'][] = 'has-sidebar';
}

$itcode_loop['type'] = 'author' ;

get_header();
?>
<!-- start author.php -->
    <div class="wrapper <?php echo join( ' ', $itcode_loop['main_class'] ) ?>" id="<?php echo esc_html( $itcode_loop['wrapper_id'] ); ?>">
        <?php if ( $itcode_loop['layout_style'] != 'full' ): ?>
        <div class="<?php echo esc_attr( $itcode_loop['layout_style'] ) ?> clearfix">
            <?php endif; ?>

            <?php if ( ( $itcode_loop['content_col_number'] != 12 ) || ( $itcode_loop['layout_style'] != 'full' ) ): ?>
            <div class="row clearfix">
                <?php endif; ?>
                <?php if ( is_active_sidebar( $itcode_loop['left_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'left' ) || ( $itcode_loop['sidebar'] == 'both' ) ) ): ?>
                    <!-- Do the left sidebar -->
                    <div class="sidebar left-sidebar <?php echo esc_attr( $itcode_loop['sidebar_col'] ) ?>">
                        <?php dynamic_sidebar( $itcode_loop['left_sidebar'] ); ?>
                    </div>
                <?php endif; ?>
                <!-- start author loop -->
                <div class="site-content-page-inner <?php echo esc_attr( $itcode_loop['content_col'] ) ?>">
                    <div class="card page-content">
                        <div class="card-header author-header">
                            <?php
                            $curauth = ( isset( $_GET['author_name'] ) ) ? get_user_by( 'slug',
                                $author_name ) : get_userdata( intval( $author ) );
                            ?>

                            <h2 class="card-title">
                                <?php esc_html_e( 'About:', 'itcode' ); ?> <?php echo esc_html( $curauth->nickname ); ?>
                            </h2>

                        </div><!-- end card-header -->
                        <div class="card-block">
                            <div class="d-flex flex-row">
                                <div class="mr-2">
                                    <?php if ( ! empty( $curauth->ID ) ) : ?>
                                        <?php echo get_avatar( $curauth->ID ); ?>
                                    <?php endif; ?>
                                </div>
                                <div class="p-2">
                                    <div class="d-flex flex-column">
                                        <?php if ( ! empty( $curauth->user_url ) ) : ?>
                                            <div class="card-text p-2">
                                                <?php esc_html_e( 'Website', 'itcode' ); ?> <a class="card-link" href="<?php echo esc_html( $curauth->user_url ); ?>"><?php echo esc_html( $curauth->user_url ); ?></a>
                                            </div>
                                        <?php endif; ?>
                                        <?php if ( ! empty( $curauth->user_description ) ) : ?>
                                            <div class="card-text p-2">
                                                <?php esc_html_e( 'Profile', 'itcode' ); ?> <?php echo esc_html( $curauth->user_description ); ?>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card-block">
                            <h3><?php esc_html_e( 'Posts by', 'itcode' ); ?> <?php echo esc_html( $curauth->nickname ); ?> :</h3>

                        </div>
                        <ul class="list-group list-group-flush">

                            <!-- The Loop -->
                            <?php if ( have_posts() ) : ?>
                                <?php while ( have_posts() ) : the_post(); ?>
                                    <li class="list-group-item">
                                        <div class="d-flex flex-column">
                                            <div class="p-2">
                                                <a class="card-link" rel="bookmark" href="<?php the_permalink() ?>"
                                                   title="Permanent Link: <?php the_title(); ?>">
                                                    <?php the_title(); ?></a>
                                            </div>
                                            <div class="p-2">
                                                <small class="text-muted">
                                                    <?php //itcode_posted_on(); ?> <?php esc_html_e( 'In', 'itcode' ); ?> <?php the_category( ' & ' ); ?>
                                                </small>
                                            </div>
                                        </div>

                                    </li>
                                <?php endwhile; ?>

                            <?php else : ?>

                                <?php get_template_part( 'loop-templates/content', 'none' ); ?>

                            <?php endif; ?>

                            <!-- End Loop -->

                        </ul>

                        <?php
                        //itcode_pagination();
                        global $wp_query;
                        if ( $wp_query->max_num_pages > 1 ) :  ?>
                            <!-- start pagination component -->
                            <div class="card-block">
                                <div class="d-flex justify-content-center blog-paging-wrapper blog-paging-<?php echo esc_attr( $itcode_loop['paging_style'] ); ?>">
                                    <?php
                                    switch ( $itcode_loop['archive_paging_style'] ) {
                                        case 'load-more':
                                            itcode_paging_load_more();
                                            break;
                                        case 'infinity-scroll':
                                            itcode_paging_infinitescroll();
                                            break;
                                        default:
                                            echo itcode_paging_nav();
                                            break;
                                    }
                                    ?>
                                </div>
                            </div>
                            <!-- end pagination component -->
                        <?php endif; ?>
                    </div><!-- end card -->
                </div>
                <!-- start author loop -->

                <?php if ( is_active_sidebar( $itcode_loop['right_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'right' ) || ( $itcode_loop['sidebar'] == 'both' ) ) ): ?>

                    <!-- Do the right sidebar -->
                    <div class="sidebar right-sidebar <?php echo esc_attr( $itcode_loop['sidebar_col'] ) ?>">
                        <?php dynamic_sidebar( $itcode_loop['right_sidebar'] ); ?>
                    </div>
                <?php endif; ?>
                <?php if ( ( $itcode_loop['content_col_number'] != 12 ) || ( $itcode_loop['layout_style'] != 'full' ) ): ?>
            </div><!-- .row -->
        <?php endif; ?>
            <?php if ( $itcode_loop['layout_style'] != 'full' ): ?>
        </div><!-- Container end -->
    <?php endif; ?>
    </div><!-- Wrapper end -->
<!-- start author.php -->

<!-- start page footer -->
<?php get_footer(); ?>