<?php
/**
 *
 */

// Access global variable directly to adjust the content width for portfolio single page
if ( isset( $GLOBALS['content_width'] ) ) {
	$GLOBALS['content_width'] = 1100;
}
?>
<!-- start content-portfolio-single -->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-content">
        <?php if ( '' != get_the_post_thumbnail() ) : ?>
            <div class="portfolio-thumbnail">
                <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail( 'itcode-portfolio-featured-image' ); ?>
                </a>
            </div>
        <?php endif; ?>
        <header class="entry-header">
            <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

            <?php echo get_the_term_list( $post->ID, 'jetpack-portfolio-type', '<span class="portfolio-entry-meta">', esc_html_x(', ', 'Used between list items, there is a space after the comma.', 'itcode' ), '</span>' ); ?>
        </header>
        <div class="entry-content">
            <?php the_content(); ?>
            <?php
            wp_link_pages( array(
                'before'   => '<div class="page-links clear">',
                'after'    => '</div>',
                'pagelink' => '<span class="page-link">%</span>',
            ) );
            ?>
        </div>
        <footer class="entry-meta">
            <?php
            /* translators: used between list items, there is a space after the comma */
            $tags_list = get_the_term_list( $post->ID, 'jetpack-portfolio-tag', '', esc_html__( ', ', 'itcode' ) );
            if ( $tags_list ) :
                ?>
                <span class="tags-links"><?php printf( esc_html__( 'Tagged %1$s', 'itcode' ), $tags_list ); ?></span>
            <?php endif; ?>

            <?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
                <span class="comments-link"><?php comments_popup_link( esc_html__( 'Leave a comment', 'itcode' ), esc_html__( '1 Comment', 'itcode' ), esc_html__( '% Comments', 'itcode' ) ); ?></span>
            <?php endif; ?>

            <?php edit_post_link( esc_html__( 'Edit', 'itcode' ), '<span class="edit-link">', '</span>' ); ?>
        </footer>
    </div><!-- end entry-content -->
</article><!-- #post-## -->