<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package itcode
 * @since 1.0
 * @version 1.0
 */

$the_theme = wp_get_theme();
$container = get_theme_mod( 'itcode_container_type' );

do_action( 'itcode_main_wrapper_content_end' );

$main_footer_class = array( 'main-footer-wrapper' );
//if ( get_theme_mod( 'footer_parallax_mode', false ) == true ) {
//    $main_footer_class[] = 'enable-parallax'; // todo not correct work
//}
//
//if ( get_theme_mod( 'site_collapse_footer_mode', false )  == true ) {
//    $main_footer_class[] = 'footer-collapse-able';
//}


$footer_layout = get_post_meta( get_the_ID(), 'itcode_footer_layout', true );
//var_dump(get_post_meta( get_the_ID(), 'itcode_footer_layout', true )); // string(0) ""

if ( !isset( $footer_layout ) || $footer_layout == '-1' || $footer_layout == '' ) {
    $footer_layout = get_theme_mod('site_footer_layout', 'footer-1'); //get_itcode_options('footer_layout'); //site_footer_layout
    //var_dump(get_theme_mod('site_footer_layout', 'footer-1'));// footer-9
}

$col_footer = 0;
for ( $i = 1; $i <= 4; $i ++ ) {
    if ( is_active_sidebar( 'footer-' . $i ) ) {
        $col_footer += 1;
    }
}
$col_footer_class = array();

if ( $footer_layout == 'footer-1' ) {
    $col_footer_class[0] = $col_footer_class[1] = $col_footer_class[2] = $col_footer_class[3] = 'col-md-3 col-sm-6';
}
if ( $footer_layout == 'footer-2' ) {
    $col_footer_class[0] = 'col-md-6 col-sm-12';
    $col_footer_class[1] = $col_footer_class[2] = 'col-md-3 col-sm-6';
}

if ( $footer_layout == 'footer-3' ) {
    $col_footer_class[0] = $col_footer_class[1] = 'col-md-3 col-sm-6';
    $col_footer_class[2] = 'col-md-6 col-sm-12';
}

if ( $footer_layout == 'footer-4' ) {
    $col_footer_class[0] = $col_footer_class[1] = 'col-md-6 col-sm-12';
}

if ( $footer_layout == 'footer-5' ) {
    $col_footer_class[0] = $col_footer_class[1] = $col_footer_class[2] = 'col-md-4 col-sm-12';
}

if ( $footer_layout == 'footer-6' ) {
    $col_footer_class[0] = 'col-md-9 col-sm-12';
    $col_footer_class[1] = 'col-md-3 col-sm-12';
}

if ( $footer_layout == 'footer-7' ) {
    $col_footer_class[0] = 'col-md-3 col-sm-12';
    $col_footer_class[1] = 'col-md-9 col-sm-12';
}

if ( $footer_layout == 'footer-8' ) {
    $col_footer_class[0] = 'col-md-3 col-sm-12';
    $col_footer_class[1] = 'col-md-6 col-sm-12';
    $col_footer_class[2] = 'col-md-3 col-sm-12';
}

if ( $footer_layout == 'footer-9' ) {
    $col_footer_class[0] = 'col-md-12 col-sm-12';
}

$footer_above_layout = get_theme_mod('site_footer_above_layout_mode', 'col-md-6');
//var_dump(get_theme_mod('site_footer_above_layout_mode')); //string(22) "col-md-6 col-md-push-3"


$w_fbl_type = get_theme_mod('site_footer_bottom_left', 2 );
$w_fbr_type = get_theme_mod('site_footer_bottom_right', 3);

$w_fb_logo = '<img class="footer-logo" src="'.esc_url(get_theme_mod('site_bottom_sections_logo')).'" height="50" alt="'.get_bloginfo( "name" ).'">';

if (has_nav_menu('footer-menu')){
    $menuParameters = array('theme_location'=>'footer-menu','container' => false,'echo' => false,'items_wrap' => '%3$s','depth' => 0,);
    $w_fb_menu = strip_tags(wp_nav_menu( $menuParameters ), '<a>' );
}else{
    $w_fb_menu = ''; // fix if no set menu
}

// show footer
$footer_show_hide = (!empty(rwmb_meta( 'itcode_footer_show_hide' ))) ? rwmb_meta( 'itcode_footer_show_hide' ) : 1;
if (is_404() && get_theme_mod('hide_footer_on_404_page', false ) == true ){
    $footer_show_hide = 0; //'1';
}
?>

<?php //get_sidebar( 'footerfull' ); ?>

<?php if ( $footer_show_hide == true ){ ?>

    <!-- start footer -->
    <footer id="colophon" role="contentinfo" class="site-footer <?php echo join( ' ', $main_footer_class ) ?>">
        <div class="<?php echo esc_html( $container ); ?>" id="wrapper-footer">

            <?php if ( get_theme_mod( 'footer_full', false )  == true ) { get_sidebar( 'footerfull' ); } ?>

            <?php //get_template_part( 'template-parts/footer-template' ); ?>

            <!-- start footer-template -->
            <div class="main-footer p-3">
                <div class="footer_inner clearfix">

                    <?php if ( is_active_sidebar( 'footer-above' ) ): ?>
                        <div class="<?php //echo esc_html( $container ); ?>"><!-- start footer-above -->
                            <div class="row justify-content-center">
                                <div class="<?php echo esc_attr( $footer_above_layout ) ?>">
                                    <div class="footer-above-wrapper sidebar">
                                        <?php dynamic_sidebar( 'footer-above' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div><!-- end container footer-above -->
                    <?php endif; ?>

                    <?php if ( $col_footer > 0 ): ?>
                        <div class="footer_top_holder col-<?php //echo esc_attr( $col_footer ); // todo quickly fixbootstrap4 ?>">
                            <div class="<?php echo esc_html( $container ); ?>">
                                <div class="row footer-top-col-<?php echo esc_attr( $col_footer . ' ' . $footer_layout ); ?>">
                                    <?php
                                    for ( $j = 1; $j <= 4; $j ++ ) {
                                        if ( is_active_sidebar( 'footer-' . $j ) ) {
                                            if ( count( $col_footer_class ) >= $j ) {
                                                //echo '<div class="sidebar ' . esc_attr( $col_footer_class[$j - 1] ) . ' col-' . $j . '">';
                                                echo '<div class="sidebar ' . esc_attr( $col_footer_class[$j - 1] ) . '">'; // fix mobile
                                                dynamic_sidebar( 'footer-' . $j );
                                                echo '</div>';
                                            }
                                        }
                                    }
                                    ?>
                                </div>
                            </div>
                        </div><!-- end footer_top_holder -->
                    <?php endif; ?>

                </div><!-- end footer_inner -->
            </div><!-- end footer-template -->
        </div>

        <?php if( get_theme_mod( 'footer_bottom_sections', true ) == true ){ ?>
            <?php //get_template_part('template-parts/footer-bottom');?>
            <section class="footbot p-3">
                <div class="<?php echo esc_html( $container ); ?>">

                    <div class="row row align-items-center">
                        <div class="col-12 col-md-4">
                            <!--<div class="footer-navi">-->
                            <?php switch ($w_fbl_type){
                                case 1: echo $w_fb_logo;
                                    break;
                                case 2:	echo $w_fb_menu;
                                    break;
                                case 3:	if (get_theme_mod('enable_custom_copyright', false ) == true) {
                                    echo html_entity_decode(get_theme_mod('site_bottom_sections_text'));
                                }else{
                                    get_template_part( 'template-parts/footer/site', 'info' );
                                }
                                    break;
                            } ?>
                            <!--</div>-->
                        </div>
                        <div class="col-12 col-md-4">
                            <!--<div class="footer-navi floatright">-->
                            <?php switch ($w_fbr_type){
                                case 1: echo $w_fb_logo;
                                    break;
                                case 2:	echo $w_fb_menu; // todo fix if no set menu
                                    break;
                                case 3:	if (get_theme_mod('enable_custom_copyright', false ) == true) {
                                    echo html_entity_decode(get_theme_mod('site_bottom_sections_text'));
                                }else{
                                    get_template_part( 'template-parts/footer/site', 'info' );
                                }
                                    break;
                            } ?>
                            <!--</div>-->
                        </div>
                        <?php	if ( has_nav_menu( 'social' ) ) : ?>
                            <div class="col-12 col-md-4">
                                <nav class="social-navigation" role="navigation" aria-label="<?php _e( 'Footer Social Links Menu', 'itcode' ); ?>">
                                    <?php
                                    wp_nav_menu( array(
                                        'theme_location' => 'social',
                                        'menu_class'     => 'social-links-menu',
                                        'depth'          => 1,
                                        'link_before'    => '<span class="screen-reader-text">',
                                        'link_after'     => '</span>' . itcode_get_svg( array( 'icon' => 'chain' ) ),
                                    ) );
                                    ?>
                                </nav><!-- .social-navigation -->
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </section> <!-- end footbot section -->
        <?php } // end if ?>
    </footer><!-- #colophon -->
<?php } ?>

<?php if (get_theme_mod( 'site_enable_back_to_top', true ) == true && get_theme_mod( 'itcode_back_to_top_place', 'in_footer' ) == 'in_footer'){  echo '<span class="scroll-top"><a class="scrollup"><i class="fa fa-chevron-up"></i></a></span>'; } ?>

<?php if (get_theme_mod( 'site_enable_var_debug', false ) == true ){ ?>
    <p class="m-3">
        <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#collapsePre" aria-expanded="false" aria-controls="collapsePre">
            VarDump
        </button>
    </p>
    <div class="collapse m-3" id="collapsePre">
        <div class="card card-block">
            <pre>
                <?php echo var_dump(get_theme_mods()); ?>
            </pre>
        </div>
    </div>
<?php } ?>

</div><!-- #page -->
<?php wp_footer(); ?>
</body>
</html><!-- end of site -->