<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package itcode
 * @since 1.0
 * @version 1.0
 */

// main container class
$container = get_theme_mod( 'itcode_container_type', 'container' );


$itcode_header_layout = get_theme_mod('site_header_layout_type', 'header-1');
// Show header
$header_show_hide = (!empty(rwmb_meta( 'itcode_header_show_hide' ))) ? rwmb_meta( 'itcode_header_show_hide' ) : 1;
if (is_404() && get_theme_mod('hide_header_on_404_page', false ) == true ){
    $header_show_hide = 0; //'1';
}

?>
<!DOCTYPE html>
<!-- Open Html -->
<html <?php language_attributes(); ?> class="no-js no-svg">
    <head><!-- Open Head -->
        <!-- start meta -->
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
	<meta name="mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-title" content="<?php bloginfo( 'name' ); ?> - <?php bloginfo( 'description' ); ?>">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
        <!-- end meta -->
        <?php if (  get_theme_mod('site_enable_social_meta', false ) == true ) {
            get_template_part( 'template-parts/social-meta' );
        } ?>
	<!-- start wp_head -->
        <?php wp_head(); ?>
        <!-- end wp_head -->
    </head><!-- Close Head -->

<!-- start body header.php -->
<body <?php body_class(); ?>>
<?php
if (get_theme_mod('mobile_header_menu_type', 'dropdown') == 'offcanvas'){
    get_template_part('template-parts/header/navigation', 'offcanvas' );
} ?>
<!-- start page header.php -->
<div class="hfeed site" id="page">
    <!-- start header -->
    <?php if ( ( $header_show_hide == '1' ) ): ?>
        <?php
        if (get_theme_mod('site_enable_preloader', 'none') !== 'none'){
            get_template_part('template-parts/site-loading' );
        }
        if (get_theme_mod('toggle_top_type', 'toggle') !== 'none'){
            get_template_part( 'template-parts/toggle-top-template' );
        }
        if (get_theme_mod('header_topbar_enable', 'false') == true ){
            get_template_part( 'template-parts/top-bar-template' );
        }?>

        <?php get_template_part( 'template-parts/header/' . $itcode_header_layout ); ?>

        <!-- end header -->
        <!-- start title bar -->
        <?php if (get_theme_mod('show_page_title', true ) == true ){
            get_template_part( 'template-parts/page-heading' );
        }?>
        <!-- end title bar -->

    <?php endif; ?>


    <!--  before_page_wrapper end  -->
    <?php do_action( 'itcode_main_wrapper_content_start' ); ?>
