<?php

if ( !function_exists( 'itcode_custom_style_wp_head' ) ) {
	function itcode_custom_style_wp_head() {
		echo '<style id="itcode_custom_style"></style>';

	}

	add_action( 'wp_head', 'itcode_custom_style_wp_head', 100 );
}

/*---------------------------------------------------
/* SEARCH AJAX
/*---------------------------------------------------*/
if ( !function_exists( 'itcode_result_search_callback' ) ) {
	function itcode_result_search_callback() {
		ob_start();

		$posts_per_page = 8;

		if ( !empty( get_itcode_options('search_box_result_amount') ) ) {
			$posts_per_page = get_itcode_options('search_box_result_amount');
		}

		$post_type = array();
		if ( !empty( get_itcode_options('search_box_post_type') ) && is_array( get_itcode_options('search_box_post_type') ) ) {
			foreach ( get_itcode_options('search_box_post_type') as $key => $value ) {
				if ( $value == 1 ) {
					$post_type[] = $key;
				}
			}
		}


		$keyword = $_REQUEST['keyword'];

		if ( $keyword ) {
			$search_query = array(
				's'              => $keyword,
				'order'          => 'DESC',
				'orderby'        => 'date',
				'post_status'    => 'publish',
				'post_type'      => $post_type,
				'posts_per_page' => $posts_per_page + 1,
			);
			$search       = new WP_Query( $search_query );

			$newdata = array();
			if ( $search && count( $search->post ) > 0 ) {
				$count = 0;
				foreach ( $search->posts as $post ) {
					if ( $count == $posts_per_page ) {
						$newdata[] = array(
							'id'    => - 2,
							'title' => '<a href="' . site_url() . '?s=' . $keyword . '"><i class="fa fa-mail-forward"></i> ' . esc_html__( 'View More', 'itcode' ) . '</a>',
							'guid'  => '',
							'date'  => null,
						);

						break;
					}
					$newdata[] = array(
						'id'    => $post->ID,
						'title' => $post->post_title,
						'guid'  => get_permalink( $post->ID ),
						'date'  => mysql2date( 'M d Y', $post->post_date ),
					);
					$count ++;

				}
			} else {
				$newdata[] = array(
					'id'    => - 1,
					'title' => esc_html__( 'Sorry, but nothing matched your search terms. Please try again with different keywords.', 'itcode' ),
					'guid'  => '',
					'date'  => null,
				);
			}

			ob_end_clean();
			echo json_encode( $newdata );
		}
		die(); // this is required to return a proper result
	}

	add_action( 'wp_ajax_nopriv_result_search', 'itcode_result_search_callback' );
	add_action( 'wp_ajax_result_search', 'itcode_result_search_callback' );

}


/*---------------------------------------------------
/* Product Quick View
/*---------------------------------------------------*/
if ( !function_exists( 'itcode_product_quick_view_callback' ) ) {
	function itcode_product_quick_view_callback() {
		$product_id = $_REQUEST['id'];
		global $post, $product, $woocommerce;
		$post = get_post( $product_id );
		setup_postdata( $post );
		$product = wc_get_product( $product_id );
		wc_get_template_part( 'content-product-quick-view' );
		wp_reset_postdata();
		die();
	}

	add_action( 'wp_ajax_nopriv_product_quick_view', 'itcode_product_quick_view_callback' );
	add_action( 'wp_ajax_product_quick_view', 'itcode_product_quick_view_callback' );
}






