<?php


/*================================================
FILTER SEARCH FORM
================================================== */
if ( !function_exists( 'itcode_search_form' ) ) {
	function itcode_search_form( $form ) {
		$form = '<form class="search-form" method="get" id="searchform" action="' . home_url( '/' ) . '">
                <input type="text" value="' . get_search_query() . '" name="s" id="s"  placeholder="' . esc_html__( "Search Here...", 'itcode' ) . '">
                <button type="submit"><i class="fa fa-search"></i></button>
     		</form>';

		return $form;
	}

	add_filter( 'get_search_form', 'itcode_search_form' );
}

/*================================================
FILTER TAG FORMAT
================================================== */
if ( !function_exists( 'itcode_tag_cloud' ) ) {
	function itcode_tag_cloud( $tag_string ) {
		return preg_replace( "/style='font-size:.+pt;'/", '', $tag_string );
	}

	add_filter( 'wp_generate_tag_cloud', 'itcode_tag_cloud', 10, 3 );
}

/* CUSTOM PAGE TEMPLATE
    ================================================== */
if ( !function_exists( 'itcode_page_template_custom' ) ) {
	function itcode_page_template_custom( $template ) {
		if ( isset( $_REQUEST['custom-page'] ) && !empty( $_REQUEST['custom-page'] ) ) {
			do_action( 'custom-page/' . $_REQUEST['custom-page'] );

			return;
		}

		return $template;

	}

	add_filter( "page_template", "itcode_page_template_custom" );
}