<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 01.05.2017
 * Time: 0:34
 */
$panel_priority = 200;
$section_priority = 10;
Kirki::add_panel( 'site_footer_panel', array(
    'priority'    => $panel_priority + 10,
    'title'       => __( 'Site Footer', 'itcode' ),
    'description' => __( 'Site footer settings panel', 'itcode' ),
) );
Kirki::add_section( 'site_footer_above_sections', array(
    'title'    =>   __( 'Site Footer above layout sections', 'itcode' ),
    'panel' => 'site_footer_panel',
    'priority' => $section_priority + 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );
$field_priority = 10;
Kirki::add_field( 'itcode_theme', array(
    'settings' => 'footer_full',
    'label'       => __( 'Site Footer Full', 'itcode' ),
    'tooltip' => __( 'Enable/Disable Footer Full Widgets Area', 'itcode' ),
    'section'  => 'site_footer_above_sections',
    'type'     => 'toggle',
    'priority' => $field_priority + 10,
    'default'  => '0',
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'site_footer_above_layout_mode',
    'label'       => __( 'Footer above layout', 'itcode' ),
    'tooltip' => __( 'Select footer above layout.', 'itcode' ),
    'section'     => 'site_footer_above_sections',
    'default'     => 'col-md-6',
    'priority'    => $field_priority + 10,
    'choices'    => array(
        'col-md-12'              => __( 'Large (full)', 'itcode' ),
        'col-md-6' => __( 'Medium (1/2)', 'itcode' ),
        'col-md-4' => __( 'Small (1/3)', 'itcode' ),
    ),
) );
Kirki::add_section( 'site_footer_sections', array(
    'title'    =>   __( 'Site Footer sections', 'itcode' ),
    'panel' => 'site_footer_panel',
    'priority' => $section_priority + 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );
$field_priority = 10;
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'footer_container_type',
    'label'       => __( 'Container Width', 'itcode' ),
    'tooltip' => __( "Choose between Bootstrap's container and container-fluid", 'itcode' ),
    'section'     => 'site_footer_sections',
    'default'     => 'container',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'full' => __( 'Full Width', 'itcode' ),
        'container'       => __( 'Container', 'itcode' ),
        'container-fluid' => __( 'Container fluid', 'itcode' ),
    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-image',
    'settings'    => 'site_footer_layout',
    'label'       => __( 'Footer Layout', 'itcode' ),
    'tooltip' => esc_html__( 'Choose among these structures for your footer section. To filling these column sections you should go to appearance > widget. And put every widget that you want in these sections.', 'itcode' ),
    'section'     => 'site_footer_sections',
    'default'     => 'footer-1',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'footer-1' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-1.jpg',
        'footer-2' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-2.jpg',
        'footer-3' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-3.jpg',
        'footer-4' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-4.jpg',
        'footer-5' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-5.jpg',
        'footer-6' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-6.jpg',
        'footer-7' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-7.jpg',
        'footer-8' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-8.jpg',
        'footer-9' => get_template_directory_uri() . '/assets/images/theme-options/footer-layout-9.jpg',

    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'image',
    'settings'    => 'site_footer_bg_image',
    'label'       => __( 'Background image', 'itcode' ),
    'description' => __( 'Upload your background image here.', 'itcode' ),
    'section'     => 'site_footer_sections',
    'default'     => '',
    'priority'    => $field_priority + 10,
) );
Kirki::add_field( 'itcode_theme', array(
    'settings' => 'footer_parallax_mode',
    'label'       => __( 'Site Footer Parallax', 'itcode' ),
    'tooltip' => __( 'Enable/Disable Footer Parallax..', 'itcode' ),
    'section'  => 'site_footer_sections',
    'type'     => 'toggle',
    'priority' => $field_priority + 10,
    'default'  => '0',
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'color',
    'settings'    => 'footer_bg_color',
    'label'    => __( 'Footer Background Color', 'itcode' ),
    'tooltip' => __( 'Set Footer Background Color.', 'itcode' ),
    'section'     => 'site_footer_sections',
    'default'     => '#2F2F2F',
    'priority'    => $field_priority + 10,
    //'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'choices'     => array(
        'alpha' => true,
    ),
    'transport'   => 'postMessage',
    'output' => array(
        array(
            'element'  => '.main-footer-wrapper',
            'property' => 'background-color',
            //'units'    => 'px',
        ),

    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'color',
    'settings'    => 'footer_heading_text_color',
    'label'    => __( 'Footer Heading Text Color', 'itcode' ),
    'tooltip' => __( 'Set Footer Heading Text Color.', 'itcode' ),
    'section'     => 'site_footer_sections',
    'default'     => '#8f8f8f',
    'priority'    => $field_priority + 10,
    'transport'   => 'postMessage',
    //'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'choices'     => array(
        'alpha' => false,
    ),
    'output' => array(
        array(
            'element'  => 'footer.main-footer-wrapper h4.widget-title',
            'property' => 'color',
            //'units'    => 'px',
        ),

    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'color',
    'settings'    => 'footer_text_color',
    'label'    => __( 'Footer Text Color', 'itcode' ),
    'tooltip' => __( 'Set Footer Text Color.', 'itcode' ),
    'section'     => 'site_footer_sections',
    'default'     => '#8f8f8f',
    'priority'    => $field_priority + 10,
    //'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'choices'     => array(
        'alpha' => false,
    ),
    'transport'   => 'postMessage',
    'output' => array(
        array(
            'element'  => 'footer.main-footer-wrapper',
            'property' => 'color',
            //'units'    => 'px',
        ),

    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'settings' => 'site_collapse_footer_mode',
    'label'       => __( 'Site Collapse Footer', 'itcode' ),
    'tooltip' => __( 'Enable/Disable Site Collapse Footer', 'itcode' ),
    'section'  => 'site_footer_sections',
    'type'     => 'toggle',
    'priority' => $field_priority + 10,
    'default'  => '0',
) );


Kirki::add_section( 'site_bottom_sections', array(
    'title'    =>   __( 'Site bottom sections', 'itcode' ),
    'panel' => 'site_footer_panel',
    'priority' => $section_priority + 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );
$field_priority = 10;
Kirki::add_field( 'itcode_theme', array(
    'settings' => 'footer_bottom_sections',
    'label'       =>  __( 'Site bottom area', 'itcode' ),
    'tooltip' => __( 'This option shows a section below the footer that you can put copyright menu and logo in it.', 'itcode' ),
    'section'  => 'site_bottom_sections',
    'type'     => 'toggle',
    'priority' => $field_priority + 10,
    'default'  => '1',

) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'site_footer_bottom_left',
    'label'      => __( 'Footer Bottom Left', 'itcode' ),
    'tooltip' => __( 'Set Footer Bottom Left', 'itcode' ),
    'section'     => 'site_bottom_sections',
    'default'     => '2',
    'priority'    => $field_priority + 10,
    'choices'    => array(
        '1' => esc_html__('Logo', 'itcode'),
        '2' => esc_html__('Menu', 'itcode'),
        '3' => esc_html__('Custom Text', 'itcode'),
    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'site_footer_bottom_right',
    'label'      => __( 'Footer Bottom Right', 'itcode' ),
    'tooltip' => __( 'Set Footer Bottom Right', 'itcode' ),
    'section'     => 'site_bottom_sections',
    'default'     => '1',
    'priority'    => $field_priority + 10,
    'choices'    => array(
        '1' => esc_html__('Logo', 'itcode'),
        '2' => esc_html__('Menu', 'itcode'),
        '3' => esc_html__('Custom Text', 'itcode'),
    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'image',
    'settings'    => 'site_bottom_sections_logo',
    'label'       => __( 'Footer Image (logo)', 'itcode' ),
    'description' => __( 'Please choose an image file for footer logo.', 'itcode' ),
    'section'     => 'site_bottom_sections',
    'default'     => '',
    'priority'    => $field_priority + 10,
) );
Kirki::add_field( 'itcode_theme', array(
    'settings' => 'enable_custom_copyright',
    'label'       =>  __( 'Enable Custom Copyright', 'itcode' ),
    'tooltip' => __( 'This option shows a custom copyright.', 'itcode' ),
    'section'  => 'site_bottom_sections',
    'type'     => 'toggle',
    'priority' => $field_priority + 10,
    'default'  => '0',

) );
Kirki::add_field( 'itcode_theme', array(
    'type'     => 'textarea',
    'settings' => 'site_bottom_sections_text',
    'label' => __( 'Text To Display', 'itcode' ),
    'section'  => 'site_bottom_sections',
    'default'  => esc_attr__( 'All rights reserved ', 'itcode' ),
    'priority' => $field_priority + 10,
    'active_callback'    => array(
        array(
            'setting'  => 'enable_custom_copyright',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
) ); // textarea

Kirki::add_field( 'itcode_theme', array(
    'type'        => 'color',
    'settings'    => 'bottom_bar_bg_color',
    'label'    => __( 'Bottom Bar Background Color', 'itcode' ),
    'tooltip' => __( 'Set Bottom Bar Background Color.', 'itcode' ),
    'section'     => 'site_bottom_sections',
    'default'     => '#191919',
    'priority'    => $field_priority + 10,
    //'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'transport'   => 'postMessage',
    'choices'     => array(
        'alpha' => true,
    ),
    'output' => array(
        array(
            'element'  => '.footbot',
            'property' => 'background-color',
            //'units'    => 'px',
        ),

    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'color',
    'settings'    => 'bottom_bar_text_color',
    'label'    => __( 'Bottom Bar Text Color', 'itcode' ),
    'tooltip' => __( 'Set Bottom Bar Text Color.', 'itcode' ),
    'section'     => 'site_bottom_sections',
    'default'     => '#828282',
    'priority'    => $field_priority + 10,
    'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'choices'     => array(
        'alpha' => false,
    ),
) );