<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 30.04.2017
 * Time: 23:54
 */

Kirki::add_section( 'archive_projects_opts', array(
    'title'    =>  __( 'Archive Projects', 'itcode' ),
    'panel'    => 'site_pages_panel',
    'priority' => 150, //$section_priority + 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );
$field_priority = 10;
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'projects_archive_layout',
    'label'       => __( 'Layout', 'itcode' ),
    'tooltip'     => __( 'Select Archive Projects Layout', 'itcode' ),
    'section'     => 'archive_projects_opts',
    'default'     => 'container',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'full' => __( 'Full Width', 'itcode' ),
        'container' => __( 'Container', 'itcode' ),
        'container-fluid' => __( 'Container Fluid', 'itcode' ),

    ),
) ); // radio-buttonset
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'projects_archive_sidebar',
    'label'       => __( 'Set Archive Projects Sidebar', 'itcode' ),
    'tooltip' => __( 'Set Sidebar Style', 'itcode' ),
    'section'     => 'archive_projects_opts',
    'default'     => 'right',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'right' => __( 'Right', 'itcode' ),
        'left'  => __( 'Left', 'itcode' ),
        'both'  => __( 'Left & Right', 'itcode' ),
        'none'  => __( 'No sidebar', 'itcode' ),
    ),
) ); // radio-buttonset
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'projects_archive_sidebar_width',
    'label'       => __( 'Sidebar Width', 'itcode' ),
    'tooltip'     => __( 'Set Sidebar width', 'itcode' ),
    'section'     => 'archive_projects_opts',
    'default'     => 'small',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'small'   => __( 'Small (1/4)', 'itcode' ),
        'large'   => __( 'Large (1/3)', 'itcode' ),
    ),
    'active_callback'    => array(
        array(
            'setting'  => 'projects_archive_sidebar',
            'operator' => '!=',
            'value'    => 'none',
        ),
    ),
) ); // radio-buttonset
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'select',
    'settings'    => 'projects_archive_left_sidebar',
    'label'       => __( 'Left Sidebar', 'itcode' ),
    'section'     => 'archive_projects_opts',
    'default'     => 'sidebar-1',
    'priority'    => $field_priority + 10,
    'multiple'    => 1,
    'choices'     => array(
        'sidebar-1' => esc_attr__( 'sidebar-1', 'itcode' ),
        'sidebar-2' => esc_attr__( 'sidebar-2', 'itcode' ), // todo fix on sidebars list
    ),
    'active_callback'    => array(
        array(
            'setting'  => 'projects_archive_sidebar',
            'operator' => '!=',
            'value'    => 'none',
        ),
    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'select',
    'settings'    => 'projects_archive_right_sidebar',
    'label'       => __( 'Right Sidebar', 'itcode' ),
    'section'     => 'archive_projects_opts',
    'default'     => 'sidebar-2',
    'priority'    => $field_priority + 10,
    'multiple'    => 1,
    'choices'     => array(
        'sidebar-1' => esc_attr__( 'sidebar-1', 'itcode' ), // todo fix on sidebars list
        'sidebar-2' => esc_attr__( 'sidebar-2', 'itcode' ),
    ),
    'active_callback'    => array(
        array(
            'setting'  => 'projects_archive_sidebar',
            'operator' => '!=',
            'value'    => 'none',
        ),
    ),
) );

Kirki::add_section( 'projects_single_opts', array(
    'title'    =>  __( 'Single Projects', 'itcode' ),
    'panel'    => 'site_pages_panel',
    'priority' => 160, //$section_priority + 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );
$field_priority = 10;
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'projects_single_layout',
    'label'       => __( 'Layout', 'itcode' ),
    'tooltip'     => __( 'Select Single Projects Layout', 'itcode' ),
    'section'     => 'projects_single_opts',
    'default'     => 'container',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'full' => __( 'Full Width', 'itcode' ),
        'container' => __( 'Container', 'itcode' ),
        'container-fluid' => __( 'Container Fluid', 'itcode' ),

    ),
) ); // radio-buttonset
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'projects_single_sidebar',
    'label'       => __( 'Set Single Projects Sidebar', 'itcode' ),
    'tooltip' => __( 'Set Sidebar Style', 'itcode' ),
    'section'     => 'projects_single_opts',
    'default'     => 'right',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'right' => __( 'Right', 'itcode' ),
        'left'  => __( 'Left', 'itcode' ),
        'both'  => __( 'Left & Right', 'itcode' ),
        'none'  => __( 'No sidebar', 'itcode' ),
    ),
) ); // radio-buttonset
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'projects_single_sidebar_width',
    'label'       => __( 'Sidebar Width', 'itcode' ),
    'tooltip'     => __( 'Set Sidebar width', 'itcode' ),
    'section'     => 'projects_single_opts',
    'default'     => 'small',
    'priority'    => $field_priority + 10,
    'choices'     => array(
        'small'   => __( 'Small (1/4)', 'itcode' ),
        'large'   => __( 'Large (1/3)', 'itcode' ),
    ),
    'active_callback'    => array(
        array(
            'setting'  => 'projects_single_sidebar',
            'operator' => '!=',
            'value'    => 'none',
        ),
    ),
) ); // radio-buttonset
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'select',
    'settings'    => 'projects_single_left_sidebar',
    'label'       => __( 'Left Sidebar', 'itcode' ),
    'section'     => 'projects_single_opts',
    'default'     => 'sidebar-1',
    'priority'    => $field_priority + 10,
    'multiple'    => 1,
    'choices'     => array(
        'sidebar-1' => esc_attr__( 'sidebar-1', 'itcode' ),
        'sidebar-2' => esc_attr__( 'sidebar-2', 'itcode' ), // todo fix on sidebars list
    ),
    'active_callback'    => array(
        array(
            'setting'  => 'projects_single_sidebar',
            'operator' => '!=',
            'value'    => 'none',
        ),
    ),
) );
Kirki::add_field( 'itcode_theme', array(
    'type'        => 'select',
    'settings'    => 'projects_single_right_sidebar',
    'label'       => __( 'Right Sidebar', 'itcode' ),
    'section'     => 'projects_single_opts',
    'default'     => 'sidebar-2',
    'priority'    => $field_priority + 10,
    'multiple'    => 1,
    'choices'     => array(
        'sidebar-1' => esc_attr__( 'sidebar-1', 'itcode' ), // todo fix on sidebars list
        'sidebar-2' => esc_attr__( 'sidebar-2', 'itcode' ),
    ),
    'active_callback'    => array(
        array(
            'setting'  => 'projects_single_sidebar',
            'operator' => '!=',
            'value'    => 'none',
        ),
    ),
) );