<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 01.05.2017
 * Time: 12:01
 */



if ( !function_exists( 'ocdi_import_files' ) ) {

    function ocdi_import_files() {
        return array(
            array(
                'import_file_name'           => 'App Landing Page',
                'categories'                 => array( 'Landing Page' ),
                'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-1/applp.xml',
                //'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-1/widgets.json',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-1/applp-customizer.dat',
                'import_preview_image_url'   => get_template_directory_uri() . '/inc/demo-content/demo-1/applp.png',
                'import_notice'              => __( 'After you import this demo, you will have to setup the main menu.', 'itcode' ),
            ),
            array(
                'import_file_name'           => 'Taxi Service',
                'categories'                 => array( 'Services' ),
                'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-2/taxiservice.xml',
                //'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-2/widgets.json',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-2/taxiservice-customizer.dat',

                'import_preview_image_url'   => get_template_directory_uri() . '/inc/demo-content/demo-2/taxiservice.png',
                'import_notice'              => __( 'After you import this demo, you will have to setup the main menu.', 'itcode' ),
            ),
            array(
                'import_file_name'           => 'Kitchen',
                'categories'                 => array( 'Services' ),
                'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-3/kitchen.xml',
                'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-3/kitchen-widgets.wie',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo-content/demo-3/kitchen-customizer.dat',

                'import_preview_image_url'   => get_template_directory_uri() . '/inc/demo-content/demo-3/kitchen.png',
                'import_notice'              => __( 'After you import this demo, you will have to setup the main menu.', 'itcode' ),
            ),

        );
    }
    add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );
}


if ( !function_exists( 'ocdi_after_import' ) ) {
    function ocdi_after_import( $selected_import ) {

        echo "This will be displayed on all after imports!";

        if ( 'App Landing Page' === $selected_import['import_file_name'] ) {
            //echo "This will be displayed only on after import if user selects App Landing Page";

            // Set logo in customizer
            //set_theme_mod( 'logo_img', get_template_directory_uri() . '/assets/images/logo1.png' );
            // Assign menus to their locations.
            $main_menu = get_term_by( 'name', 'Main menu App LP', 'nav_menu' );
            //$social_links_menu = get_term_by( 'name', 'Social Menu', 'nav_menu' );

            set_theme_mod( 'nav_menu_locations', array(
                    'primary' => $main_menu->term_id,
                    //'social' => $social_links_menu->term_id,
                )
            );

            // Assign front page and posts page (blog page).
            $front_page_id = get_page_by_title( 'Main' );
            $blog_page_id  = get_page_by_title( 'Blog' );

            update_option( 'show_on_front', 'page' );
            update_option( 'page_on_front', $front_page_id->ID );
            update_option( 'page_for_posts', $blog_page_id->ID );

        }elseif ( 'Taxi Service' === $selected_import['import_file_name'] ) {
            //echo "This will be displayed only on after import if user selects Taxi Service";

            // Set logo in customizer
            //set_theme_mod( 'logo_img', get_template_directory_uri() . '/assets/images/logo2.png' );

            // Assign menus to their locations.
            $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );
            $social_links_menu = get_term_by( 'name', 'Social Menu', 'nav_menu' );

            set_theme_mod( 'nav_menu_locations', array(
                    'primary' => $main_menu->term_id,
                    'social' => $social_links_menu->term_id,
                )
            );

            // Assign front page and posts page (blog page).
            $front_page_id = get_page_by_title( 'Home' );
            $blog_page_id  = get_page_by_title( 'Blog' );

            update_option( 'show_on_front', 'page' );
            update_option( 'page_on_front', $front_page_id->ID );
            update_option( 'page_for_posts', $blog_page_id->ID );



        }elseif ( 'Kitchen' === $selected_import['import_file_name'] ) {
            // Assign menus to their locations.
            $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );
            $social_links_menu = get_term_by( 'name', 'Social links', 'nav_menu' );
            $footer_menu = get_term_by( 'name', 'Footer Menu', 'nav_menu' );


            set_theme_mod( 'nav_menu_locations', array(
                    'primary' => $main_menu->term_id,
                    'social' => $social_links_menu->term_id,
                    'footer-menu' => $footer_menu->term_id,
                    //'header-top-menu' => $header_top_menu->term_id,

                )
            );

            // Assign front page and posts page (blog page).
            $front_page_id = get_page_by_title( 'Main Home' );
            $blog_page_id  = get_page_by_title( 'News' );

            update_option( 'show_on_front', 'page' );
            update_option( 'page_on_front', $front_page_id->ID );
            update_option( 'page_for_posts', $blog_page_id->ID );



        }
    }
    add_action( 'pt-ocdi/after_import', 'ocdi_after_import' );
}

if ( !function_exists( 'ocdi_plugin_intro_text' ) ) {
    function ocdi_plugin_intro_text( $default_text ) {
        $default_text .= '<div class="ocdi__intro-text"><p class="about-description">' . __( 'It Code demo data. Choice & import.', 'itcode' ) . '</p></div>';

        return $default_text;
    }
    add_filter( 'pt-ocdi/plugin_intro_text', 'ocdi_plugin_intro_text' );
}


if ( !function_exists( 'ocdi_plugin_page_setup' ) ) {
    function ocdi_plugin_page_setup( $default_settings ) {
        $default_settings['parent_slug'] = 'themes.php';
        $default_settings['page_title']  = esc_html__( 'Sample ItCode Demo Content Import' , 'itcode' );
        $default_settings['menu_title']  = esc_html__( 'Import Demo Data' , 'itcode' );
        $default_settings['capability']  = 'import';
        $default_settings['menu_slug']   = 'itcode-demo-import';

        return $default_settings;
    }
    add_filter( 'pt-ocdi/plugin_page_setup', 'ocdi_plugin_page_setup' );
}

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );