<?php
/**
 * ItCode enqueue scripts
 * Enqueue scripts and styles.
 * @package itcode
 */

if ( ! function_exists( 'itcode_scripts' ) ) {
	/**
	 * Load theme's JavaScript sources.
	 */
	function itcode_scripts() {
		// Get the theme data
		$the_theme = wp_get_theme();



		$min_css_suffix = ( !empty( get_itcode_options('enable_minifile_css') ) && get_itcode_options('enable_minifile_css') == 1 ) ? '.min' : '';

		/*font-awesome*/
		$url_font_awesome =  get_template_directory_uri()  . '/assets/plugins/fonts-awesome/css/font-awesome.min.css';
		if ( !empty( get_itcode_options('cdn_font_awesome') ) ) {
			$url_font_awesome = get_itcode_options('cdn_font_awesome');
		}
		wp_enqueue_style( 'itcode_core_font_awesome', $url_font_awesome, array() );
		wp_enqueue_style( 'itcode_core_font_awesome_animation',  get_template_directory_uri()  . '/assets/plugins/fonts-awesome/css/font-awesome-animation.min.css', array() );

		/*bootstrap*/ // todo dell and dell file
		/*$url_bootstrap =  get_template_directory_uri()  . '/assets/plugins/bootstrap/css/bootstrap.min.css';
		if ( !empty( get_itcode_options('cdn_bootstrap_css') ) ) {
			$url_bootstrap = get_itcode_options('cdn_bootstrap_css');
		}
		wp_enqueue_style( 'itcode_core_bootstrap', $url_bootstrap, array() );*/

		wp_deregister_style( 'itcode-jplayer-style' );
		wp_register_style( 'itcode-jplayer-style',  get_template_directory_uri()  . '/assets/plugins/jquery.jPlayer/skin/itcode/skin' . $min_css_suffix . '.css' );


		$enable_rtl_mode = '0';
		if ( !empty( get_itcode_options('enable_rtl_mode') ) ) {
			$enable_rtl_mode = get_itcode_options('enable_rtl_mode');
		}

		if ( is_rtl() || $enable_rtl_mode == '1' || isset( $_GET['RTL'] ) ) {
			wp_enqueue_style( 'itcode_core_rtl',  get_template_directory_uri()  . '/assets/css/rtl' . $min_css_suffix . '.css' );
		}

        /*owl-carousel*/
        wp_enqueue_style( 'itcode_core_owl_carousel',  get_template_directory_uri()  . '/assets/plugins/owl-carousel/owl.carousel.min.css', array() );
        wp_enqueue_style( 'itcode_core_owl_carousel_theme',  get_template_directory_uri()  . '/assets/plugins/owl-carousel/owl.theme.min.css', array() );
        wp_enqueue_style( 'itcode_core_owl_carousel_transitions',  get_template_directory_uri()  . '/assets/plugins/owl-carousel/owl.transitions.css', array() );

        /*prettyPhoto*/
        wp_enqueue_style( 'itcode_core_prettyPhoto',  get_template_directory_uri()  . '/assets/plugins/prettyPhoto/css/prettyPhoto.css', array() );

        if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
            wp_enqueue_script( 'comment-reply' );
        }

        // Add custom fonts, used in the main stylesheet.
        wp_enqueue_style( 'itcode-fonts', itcode_fonts_url(), array(), null );

        // Theme stylesheet.
        wp_enqueue_style( 'itcode-style', get_stylesheet_uri() );

        // Load the dark colorscheme.
        /*if ( 'dark' === get_theme_mod( 'colorscheme', 'light' ) || is_customize_preview() ) {
            wp_enqueue_style( 'itcode-colors-dark', get_theme_file_uri( '/assets/css/colors-dark.css' ), array( 'itcode-style' ), '1.0' );
        }*/

        // Load the Internet Explorer 9 specific stylesheet, to fix display issues in the Customizer.
        if ( is_customize_preview() ) {
            wp_enqueue_style( 'itcode-ie9', get_theme_file_uri( '/assets/css/ie9.css' ), array( 'itcode-style' ), '1.0' );
            wp_style_add_data( 'itcode-ie9', 'conditional', 'IE 9' );
        }

        // Load the Internet Explorer 8 specific stylesheet.
        wp_enqueue_style( 'itcode-ie8', get_theme_file_uri( '/assets/css/ie8.css' ), array( 'itcode-style' ), '1.0' );
        wp_style_add_data( 'itcode-ie8', 'conditional', 'lt IE 9' );






		$min_js_suffix = ( !empty( get_itcode_options('enable_minifile_js') ) && get_itcode_options('enable_minifile_js') == 1 ) ? '.min' : '';



		if ( is_single() ) {
			wp_enqueue_script( 'comment-reply' );
		}

        if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
            wp_enqueue_script( 'comment-reply' );
        }





        wp_enqueue_style( 'itcode-style', get_stylesheet_uri() );







        //

        wp_enqueue_style( 'itcode-bootstrap-styles', get_stylesheet_directory_uri() . '/assets/css/bootstrap4.css', array(), $the_theme->get( 'Version' ) );

        wp_enqueue_style( 'itcode-main-style', get_stylesheet_directory_uri() . '/assets/css/main_style.css', array(), $the_theme->get( 'Version' ) );

        wp_enqueue_style( 'itcode-theme-styles', get_stylesheet_directory_uri() . '/assets/css/theme.css', array(), $the_theme->get( 'Version' ) );

        wp_enqueue_style( 'itcode-theme-customizer', get_stylesheet_directory_uri() . '/assets/css/theme_customizer_'.get_current_blog_id().'.css', array(), $the_theme->get( 'Version' ) );


        ///////////////
        wp_enqueue_script( 'jquery' );
        //////////////


        wp_enqueue_script( 'itcode-global', get_theme_file_uri( '/assets/js/global.js' ), array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'itcode_core_app', get_template_directory_uri() . '/assets/js/theme.js', array(), $the_theme->get( 'Version' ), true );
// Localize the script with new data
        $itcode_l10n = array(
            'quote'          => itcode_get_svg( array( 'icon' => 'quote-right' ) ),
        );


        wp_localize_script( 'itcode-skip-link-focus-fix', 'itcodeScreenReaderText', $itcode_l10n );

        $translation_array = array(
            'product_compare'  => esc_html__( 'Compare', 'itcode' ),
            'product_wishList' => esc_html__( 'WishList', 'itcode' )
        );
        wp_localize_script( 'itcode_core_app', 'itcode_core_constant', $translation_array );

        wp_localize_script( 'itcode_core_app', 'itcode_core_ajax_url', get_site_url() . '/wp-admin/admin-ajax.php?activate-multi=true' );
        //var_dump(trailingslashit( get_template_directory_uri() ) ); // string(48) "http://itcode-ms.local/wp-content/themes/itcode/"
        wp_localize_script( 'itcode_core_app', 'itcode_core_theme_url', trailingslashit( get_template_directory_uri() ) );
        wp_localize_script( 'itcode_core_app', 'itcode_core_site_url', site_url() );



        if ( has_nav_menu( 'top' ) ) {
            wp_enqueue_script( 'itcode-navigation', get_theme_file_uri( '/assets/js/navigation.js' ), array(), '1.0', true );
            $itcode_l10n['expand']         = __( 'Expand child menu', 'itcode' );
            $itcode_l10n['collapse']       = __( 'Collapse child menu', 'itcode' );
            $itcode_l10n['icon']           = itcode_get_svg( array( 'icon' => 'angle-down', 'fallback' => true ) );
        }




        //wp_enqueue_script( 'itcode_core_bootstrap', get_template_directory_uri() . '/assets/plugins/bootstrap/js/bootstrap4.js', array(), $the_theme->get( 'Version' ), true );


        wp_enqueue_script( 'jquery-scrollto', get_theme_file_uri( '/assets/js/jquery.scrollTo.js' ), array( 'jquery' ), '2.1.2', true );


        // Load the html5 shiv.
        wp_enqueue_script( 'html5', get_theme_file_uri( '/assets/js/html5.js' ), array(), '3.7.3' );
        wp_script_add_data( 'html5', 'conditional', 'lt IE 9' );

        //wp_enqueue_script( 'itcode-skip-link-focus-fix', get_theme_file_uri( '/assets/js/skip-link-focus-fix.js' ), array(), '1.0', true );

        /*plugins*/
        wp_enqueue_script( 'itcode_core_plugins',  get_template_directory_uri()  . '/assets/js/plugin' . $min_js_suffix . '.js', array(), false, true );

        /*smooth-scroll*/
        if ( !empty( get_itcode_options('smooth_scroll') ) && ( get_itcode_options('smooth_scroll') == 1 ) ) {
            wp_enqueue_script( 'itcode_core_smooth_scroll',  get_template_directory_uri()  . '/assets/plugins/smoothscroll/SmoothScroll' . $min_js_suffix . '.js', array(), false, true );
        }


        //wp_enqueue_script( 'itcode_core_app',  get_template_directory_uri()  . '/assets/js/app' . $min_js_suffix . '.js', array(), false, true );

        wp_enqueue_script('ticker', get_template_directory_uri() . '/assets/js/jquery.ticker.js', array( 'jquery' ), null, true);
        //wp_enqueue_script( 'itcode-scripts', get_template_directory_uri() . '/assets/js/app.js', array(), $the_theme->get( 'Version' ), true );

        /*bootstrap*/
        /*$url_bootstrap =  get_template_directory_uri()  . '/assets/plugins/bootstrap/js/bootstrap4.js';

        if ( !empty( get_itcode_options('cdn_bootstrap_js') ) ) {
            $url_bootstrap = get_itcode_options('cdn_bootstrap_js');
        }
        wp_enqueue_script( 'itcode_core_bootstrap', $url_bootstrap, array( 'jquery' ), false, true );*/

        // Woocommerce js error hack
        if (class_exists('Woocommerce')){
            global $post, $woocommerce;
            $suffix = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';
            if(file_exists($woocommerce->plugin_path() . '/assets/js/jquery-cookie/jquery.cookie'.$suffix.'.js')){
                rename($woocommerce->plugin_path() . '/assets/js/jquery-cookie/jquery.cookie'.$suffix.'.js', $woocommerce->plugin_path() . '/assets/js/jquery-cookie/jquery_cookie'.$suffix.'.js');
            }
            wp_deregister_script( 'jquery-cookie' );
            wp_register_script( 'jquery-cookie', $woocommerce->plugin_url() . '/assets/js/jquery-cookie/jquery_cookie'.$suffix.'.js', array( 'jquery' ), '1.3.1', true );
        }






    }
} // endif function_exists( 'itcode_scripts' ).

add_action( 'wp_enqueue_scripts', 'itcode_scripts' );


/* CUSTOM CSS OUTPUT
	================================================== */
if ( !function_exists( 'itcode_enqueue_custom_css' ) ) {
	function itcode_enqueue_custom_css() {
		$custom_css = get_itcode_options('custom_css');
		if ( $custom_css ) {
			echo sprintf( '<style type="text/css">%s %s</style>', "\n", $custom_css );
		}
	}

	add_action( 'wp_head', 'itcode_enqueue_custom_css' );
}

/* CUSTOM JS OUTPUT
	================================================== */
if ( !function_exists( 'itcode_enqueue_custom_script' ) ) {
	function itcode_enqueue_custom_script() {
		$custom_js = get_itcode_options('custom_js');
		if ( $custom_js ) {
			echo sprintf( '<script type="text/javascript">%s</script>', $custom_js );
		}
	}

	add_action( 'wp_footer', 'itcode_enqueue_custom_script' );
}