<?php
/*
*
*	Meta Box Functions
*	------------------------------------------------
*	itcode Framework
* 	Copyright Swift Ideas 2015
*
*/
global $meta_boxes;

/********************* META BOX REGISTERING ***********************/

/**
 * Register meta boxes
 *
 * @return void
 */
function itcode_register_meta_boxes() {
    global $meta_boxes;
    //$prefix = 'itcode_';
    /* PAGE MENU */
    /*$menu_list = array();
    if ( function_exists( 'itcode_get_menu_list' ) ) {
        $menu_list = itcode_get_menu_list();
    }*/

    $menu_list = array();
    if ( function_exists( 'itcode_get_nav_menu_list' ) ) {
        $menu_list = itcode_get_nav_menu_list();
    }

    /**
     * POST FORMAT: Image
     */
    $meta_boxes[] = array(
        'title'  => esc_html__( 'Post Format: Image', 'itcode' ),
        'id'     => 'itcode_meta_box_post_format_image',
        'pages'  => array( 'post' ),
        'format' => 'post-format',
        'fields' => array(
            array(
                'name'             => esc_html__( 'Image', 'itcode' ),
                'id'               => 'itcode_post_format_image',
                'type'             => 'image_advanced',
                'max_file_uploads' => 1,
                'desc'             => esc_html__( 'Select a image for post', 'itcode' )
            ),
        ),
    );

    /**
     * POST FORMAT: Gallery
     */
    $meta_boxes[] = array(
        'title'  => esc_html__( 'Post Format: Gallery', 'itcode' ),
        'format' => 'post-format',
        'id'     => 'itcode_meta_box_post_format_gallery',
        'pages'  => array( 'post' ),
        'fields' => array(
            array(
                'name' => esc_html__( 'Images', 'itcode' ),
                'id'   => 'itcode_post_format_gallery',
                'type' => 'image_advanced',
                'desc' => esc_html__( 'Select images gallery for post', 'itcode' )
            ),
        ),
    );

    /**
     * POST FORMAT: Video
     */
    $meta_boxes[] = array(
        'title'  => esc_html__( 'Post Format: Video', 'itcode' ),
        'format' => 'post-format',
        'id'     => 'itcode_meta_box_post_format_video',
        'pages'  => array( 'post' ),
        'fields' => array(
            array(
                'name' => esc_html__( 'Video URL or Embeded Code', 'itcode' ),
                'id'   => 'itcode_post_format_video',
                'type' => 'textarea',
            ),
        ),
    );

    /**
     * POST FORMAT: Audio
     */
    $meta_boxes[] = array(
        'title'  => esc_html__( 'Post Format: Audio', 'itcode' ),
        'format' => 'post-format',
        'id'     => 'itcode_meta_box_post_format_audio',
        'pages'  => array( 'post' ),
        'fields' => array(
            array(
                'name' => esc_html__( 'Audio URL or Embeded Code', 'itcode' ),
                'id'   => 'itcode_post_format_audio',
                'type' => 'textarea',
            ),
        ),
    );

    /**
     * POST FORMAT: QUOTE
     */
    $meta_boxes[] = array(
        'title'  => esc_html__( 'Post Format: Quote', 'itcode' ),
        'format' => 'post-format',
        'id'     => 'itcode_meta_box_post_format_quote',
        'pages'  => array( 'post' ),
        'fields' => array(
            array(
                'name' => esc_html__( 'Quote', 'itcode' ),
                'id'   => 'itcode_post_format_quote',
                'type' => 'textarea',
            ),
            array(
                'name' => esc_html__( 'Author', 'itcode' ),
                'id'   => 'itcode_post_format_quote_author',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__( 'Author Url', 'itcode' ),
                'id'   => 'itcode_post_format_quote_author_url',
                'type' => 'url',
            ),
        ),
    );

    /**
     * POST FORMAT: LINK
     */
    $meta_boxes[] = array(
        'title'  => esc_html__( 'Post Format: Link', 'itcode' ),
        'format' => 'post-format',
        'id'     => 'itcode_meta_box_post_format_link',
        'pages'  => array( 'post' ),
        'fields' => array(
            array(
                'name' => esc_html__( 'Url', 'itcode' ),
                'id'   => 'itcode_post_format_link_url',
                'type' => 'url',
            ),
            array(
                'name' => esc_html__( 'Text', 'itcode' ),
                'id'   => 'itcode_post_format_link_text',
                'type' => 'text',
            ),
        ),
    );

    /**
     * GALLERY
     */
    $meta_boxes[] = array(
        'id'     => 'itcode_serives_gallery_meta_box',
        'title'  => esc_html__( 'Gallery', 'itcode' ),
        'pages'  => array( 'services' ),
        'fields' => array(
            array(
                'name' => esc_html__( 'Images', 'itcode' ),
                'id'   => 'itcode_services_gallery',
                'type' => 'image_advanced',
                'desc' => esc_html__( 'Select images gallery for post', 'itcode' )
            ),
        )
    );

    /**
     * PAGE TITLE
     */
    $meta_boxes[] = array(
        'id'     => 'itcode_page_title_meta_box',
        'title'  => esc_html__( 'Page Title', 'itcode' ),
        'pages'  => array( 'post', 'page', 'portfolio', 'services', 'ourteam' ),
        'fields' => array(
            array(
                'name'    => esc_html__( 'Show/Hide Page Title?', 'itcode' ),
                'id'      => 'itcode_show_page_title',
                'type'    => 'radio',
                'std'     => '-1',
                'options' => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Show Page Title', 'itcode' ),
                    '0'  => esc_html__( 'Hide Page Title', 'itcode' ),
                )
            ),

            // PAGE TITLE LINE 1
            array(
                'name'           => esc_html__( 'Custom Page Title', 'itcode' ),
                'id'             => 'itcode_page_title_custom',
                'desc'           => esc_html__( "Enter a custom page title if you'd like.", 'itcode' ),
                'type'           => 'text',
                'std'            => '',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),
            array(
                'name'           => esc_html__( 'Page Description', 'itcode' ),
                'id'             => 'itcode_page_description',
                'desc'           => esc_html__( "Enter a page description if you'd like.", 'itcode' ),
                'type'           => 'textarea',
                'std'            => '',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),
            // PAGE TITLE TEXT COLOR
            array(
                'name'           => esc_html__( 'Page Title Text Color', 'itcode' ),
                'id'             => 'itcode_page_title_text_color',
                'desc'           => esc_html__( "Optionally set a text color for the page title.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),

            // PAGE TITLE BACKGROUND COLOR
            array(
                'name'           => esc_html__( 'Page Title Background Color', 'itcode' ),
                'id'             => 'itcode_page_title_bg_color',
                'desc'           => esc_html__( "Optionally set a background color for the page title.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),

            // BACKGROUND IMAGE
            array(
                'id'               => 'itcode_page_title_bg_image',
                'name'             => esc_html__( 'Background Image', 'itcode' ),
                'desc'             => esc_html__( 'Background Image for page title.', 'itcode' ),
                'type'             => 'image_advanced',
                'max_file_uploads' => 1,
                'required-field'   => array( 'itcode_show_page_title', '<>', '0' ),
            ),

            // PAGE TITLE OVERLAY COLOR
            /*array(
                'id'             => 'itcode_page_title_overlay_color',
                'name'           => esc_html__( 'Page Title Overlay Color', 'itcode' ),
                'desc'           => esc_html__( "Set an overlay color for page title image.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),

            array(
                'name'           => esc_html__( 'Custom Overlay Opacity?', 'itcode' ),
                'id'             => 'itcode_enable_custom_overlay_opacity',
                'type'           => 'checkbox',
                'std'            => 0,
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),*/


            // Overlay Opacity Value
            /*array(
                'name'           => esc_html__( 'Overlay Opacity', 'itcode' ),
                'id'             => 'itcode_page_title_overlay_opacity',
                'desc'           => esc_html__( 'Set the opacity level of the overlay. This will lighten or darken the image depening on the color selected.', 'itcode' ),
                'clone'          => false,
                'type'           => 'slider',
                'prefix'         => '',
                'js_options'     => array(
                    'min'  => 0,
                    'max'  => 100,
                    'step' => 1,
                ),
                'required-field' => array( 'itcode_enable_custom_overlay_opacity', '=', '1' ),
            ),*/

            // PAGE TITLE Height
            array(
                'name'           => esc_html__( 'Page Title Height', 'itcode' ),
                'id'             => 'itcode_page_title_height',
                'desc'           => esc_html__( "Enter a page title height value (not include unit).", 'itcode' ),
                'type'           => 'number',
                'std'            => '',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),
            // Breadcrumbs in Page Title
            array(
                'name'           => esc_html__( 'Breadcrumbs in Page Title', 'itcode' ),
                'id'             => 'itcode_breadcrumbs_in_page_title',
                'desc'           => esc_html__( "Show/Hide Breadcrumbs in Page Title", 'itcode' ),
                'type'           => 'radio',
                'options'        => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Show Breadcrumbs', 'itcode' ),
                    '0'  => esc_html__( 'Hide Breadcrumbs', 'itcode' ),
                ),
                'std'            => '-1',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),
            array(
                'name'           => esc_html__( 'Breadcrumbs Align', 'itcode' ),
                'id'             => 'itcode_breadcrumbs_position',
                'desc'           => esc_html__( "Breadcrumbs Align", 'itcode' ),
                'type'           => 'radio',
                'options'        => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Left', 'itcode' ),
                    '0'  => esc_html__( 'Right', 'itcode' )
                ),
                'std'            => '-1',
                'required-field' => array( 'itcode_show_page_title', '<>', '0' ),
            ),
            /*array(
                'name'           => esc_html__( 'Remove Margin Bottom', 'itcode' ),
                'id'             => 'itcode_page_title_remove_margin_bottom',
                'type'           => 'checkbox',
                'std'            => 0,
                'required-field' => array( 'itcode_show_page_title', '<>', '0' )
            ),*/
        )
    );

    /**
     * PAGE HEADER
     */
    $meta_boxes[] = array(
        'id'     => 'itcode_page_header_meta_box',
        'title'  => esc_html__( 'Page Header', 'itcode' ),
        'pages'  => array( 'post', 'page', 'portfolio', 'services', 'ourteam' ),
        'fields' => array(


            array(
                'type'	=>'divider',
            ),
            array(
                'id'	=> 'itcode_toggle_area_show',
                'name'	=> esc_attr__( 'Show Toggle Area:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 1,
            ),
            array(
                'id'	=> 'itcode_topbar_show',
                'name'	=> esc_attr__( 'Show Topbar:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 1,
            ),
            array(
                'id'	=> 'itcode_header_show',
                'name'	=> esc_attr__( 'Show Header:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 1,
            ),
            array(
                'name'        => esc_html__( 'Page Menu', 'itcode' ),
                'id'          => 'itcode_page_menu',
                'type'        => 'select_advanced',
                'options'     => $menu_list,
                'placeholder' => esc_html__( 'Select Menu', 'itcode' ),
                'std'         => '',
                'multiple'    => false,
                'desc'        => esc_html__( 'Optionally you can choose to override the menu that is used on the page', 'itcode' ),
            ),

            /*array(
                'name' => esc_html__( 'Is One Page', 'itcode' ),
                'id'   => 'itcode_is_one_page',
                'type' => 'checkbox',
                'std'  => 0,
                'desc' => esc_html__( 'Set page style is One Page', 'itcode' ),
            ),*/

            array(
                'name'        => esc_html__( 'Above Header Sidebar', 'itcode' ),
                'id'          => 'itcode_above_header_sidebar',
                'type'        => 'select_advanced',
                'placeholder' => esc_html__( 'Select Sidebar', 'itcode' ),
                'std'         => '',
                'options' => itcode_get_sidebars_list(),
            ),

            array(
                'name'    => esc_html__( 'Show/Hide Top Bar', 'itcode' ),
                'id'      => 'itcode_top_bar',
                'type'    => 'radio',
                'std'     => '-1',
                'options' => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Show Top Bar', 'itcode' ),
                    '0'  => esc_html__( 'Hide Top Bar', 'itcode' )
                ),
                'desc'    => esc_html__( 'Show Hide Top Bar.', 'itcode' ),
            ),

            array(
                'name'           => esc_html__( 'Top Bar Layout', 'itcode' ),
                'id'             => 'itcode_top_bar_layout',
                'type'           => 'image_select',
                'allowClear'     => true,
                'width'          => '80px',
                'std'            => '',
                'options'        => array(
                    'top-bar-1' =>  get_template_directory_uri()  . '/assets/images/theme-options/top-bar-layout-1.jpg',
                    'top-bar-2' =>  get_template_directory_uri()  . '/assets/images/theme-options/top-bar-layout-2.jpg',
                    'top-bar-3' =>  get_template_directory_uri()  . '/assets/images/theme-options/top-bar-layout-3.jpg',
                    'top-bar-4' =>  get_template_directory_uri()  . '/assets/images/theme-options/top-bar-layout-4.jpg',
                ),
                'required-field' => array( 'itcode_top_bar', '<>', '0' ),
            ),

            array(
                'name'           => esc_html__( 'Top Left Sidebar', 'itcode' ),
                'id'             => 'itcode_top_left_sidebar',
                'type'           => 'select_advanced',
                'std'            => '',
                'placeholder'    => esc_html__( 'Select Sidebar', 'itcode' ),
                'required-field' => array( 'itcode_top_bar', '<>', '0' ),
                'options' => itcode_get_sidebars_list(),
            ),

            array(
                'name'           => esc_html__( 'Top Right Sidebar', 'itcode' ),
                'id'             => 'itcode_top_right_sidebar',
                'type'           => 'select_advanced',
                'std'            => '',
                'placeholder'    => esc_html__( 'Select Sidebar', 'itcode' ),
                'required-field' => array( 'itcode_top_bar', '<>', '0' ),
                'options' => itcode_get_sidebars_list(),
            ),
            array(
                'name'           => esc_html__( 'Top Bar Background Color', 'itcode' ),
                'id'             => 'itcode_topbar_bg_color',
                'desc'           => esc_html__( "Optionally set a background color for the Top bar.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_top_bar', '<>', '0' ),
            ),
            array(
                'name'           => esc_html__( 'Top Bar Color', 'itcode' ),
                'id'             => 'itcode_topbar_color',
                'desc'           => esc_html__( "Optionally set a color for the Top bar.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_top_bar', '<>', '0' ),
            ),
            //opacity header
            /*array(
                'name'           => esc_html__( 'Show/hide Top Bar border', 'itcode' ),
                'id'             => 'itcode_show_top_bar_border',
                'type'           => 'checkbox',
                'std'            => 0,
                'required-field' => array( 'itcode_top_bar', '<>', '0' ),
            ),*/
            /*array(
                'name'           => esc_html__( 'Top Bar Border Color', 'itcode' ),
                'id'             => 'itcode_topbar_border_color',
                'desc'           => esc_html__( "Optionally set a border color for the Top bar.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_show_top_bar_border', '=', '1' ),
            ),*/
            array(
                'name'    => esc_html__( 'Show/Hide Header', 'itcode' ),
                'id'      => 'itcode_header_show_hide',
                'type'    => 'radio',
                'std'     => '1',
                'options' => array(
                    '1' => esc_html__( 'Show Header', 'itcode' ),
                    '0' => esc_html__( 'Hide Header', 'itcode' )
                ),
                'desc'    => esc_html__( 'Show/hide header', 'itcode' ),
            ),
           /* array(
                'name'           => esc_html__( 'Header Layout Style', 'itcode' ),
                'id'             => 'itcode_header_layout_style',
                'type'           => 'radio',
                'allowClear'     => true,
                'std'            => '-1',
                'options'        => array(
                    '-1'    => esc_html__( 'Default', 'itcode' ),
                    'boxed' => esc_html__( 'Boxed', 'itcode' ),
                    'wide'  => esc_html__( 'Wide', 'itcode' ),
                ),
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),*/
            array(
                'name'           => esc_html__( 'Header Layout', 'itcode' ),
                'id'             => 'itcode_header_layout',
                'type'           => 'image_select',
                'allowClear'     => true,
                'std'            => '',
                'options'        => array(
                    'header-1' =>  get_template_directory_uri()  . '/assets/images/theme-options/menu0.png',
                    'header-2' =>  get_template_directory_uri()  . '/assets/images/theme-options/menu1.png',
                    'header-3' =>  get_template_directory_uri()  . '/assets/images/theme-options/menu2.png',
                ),
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),
            /*array(
                'name'           => esc_html__( 'Header Position', 'itcode' ),
                'id'             => 'itcode_header_positon',
                'type'           => 'radio',
                'allowClear'     => true,
                'std'            => '-1',
                'options'        => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Enable Header Overlay', 'itcode' ),
                    '0'  => esc_html__( 'Disable Header Overlay', 'itcode' ),
                ),
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),*/
            /*array(
                'name'           => esc_html__( 'Header Background Color', 'itcode' ),
                'id'             => 'itcode_header_bg_color',
                'desc'           => esc_html__( "Optionally set a background color for the Header.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),*/
            //opacity header
            /*array(
                'name'           => esc_html__( 'Custom Overlay Opacity?', 'itcode' ),
                'id'             => 'itcode_header_custom_overlay_opacity',
                'type'           => 'checkbox',
                'std'            => 0,
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),*/

            // Overlay Opacity Value
            /*array(
                'name'           => esc_html__( 'Header Background Overlay Opacity', 'itcode' ),
                'id'             => 'itcode_header_bg_opacity',
                'desc'           => esc_html__( 'Set the opacity level of the overlay. This will lighten or darken the image depening on the color selected.', 'itcode' ),
                'clone'          => false,
                'type'           => 'slider',
                'prefix'         => '',
                'js_options'     => array(
                    'min'  => 0,
                    'max'  => 100,
                    'step' => 1,
                ),
                'required-field' => array( 'itcode_header_custom_overlay_opacity', '=', '1' ),
            ),*/
            /*array(
                'name'           => esc_html__( 'Show Border', 'itcode' ),
                'id'             => 'itcode_header_show_border',
                'type'           => 'checkbox',
                'std'            => 0,
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),*/
            /*array(
                'name'           => esc_html__( 'Header Border Color', 'itcode' ),
                'id'             => 'itcode_header_border_color',
                'desc'           => esc_html__( "Optionally set a border color for the Header.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'required-field' => array( 'itcode_header_show_border', '=', '1' ),
            ),*/
            // Overlay Opacity Value
            /*array(
                'name'           => esc_html__( 'Header Border Opacity', 'itcode' ),
                'id'             => 'itcode_header_border_opacity',
                'desc'           => esc_html__( 'Set the opacity level of the overlay. This will lighten or darken the image depening on the color selected.', 'itcode' ),
                'clone'          => false,
                'type'           => 'slider',
                'prefix'         => '',
                'js_options'     => array(
                    'min'  => 0,
                    'max'  => 100,
                    'step' => 1,
                ),
                'required-field' => array( 'itcode_header_show_border', '=', '1' ),
            ),*/
            array(
                'name'           => esc_html__( 'Menu Background Color', 'itcode' ),
                'id'             => 'itcode_menu_bg_color',
                'desc'           => esc_html__( "Optionally set a background color for the Menu.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'default'        => '',
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),
            array(
                'name'           => esc_html__( 'Menu text Color', 'itcode' ),
                'id'             => 'itcode_menu_text_color',
                'desc'           => esc_html__( "Optionally set a text color for the Menu.", 'itcode' ),
                'type'           => 'color',
                'std'            => '',
                'default'        => '',
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),
            /*array(
                'name'           => esc_html__( 'Header margin Top', 'itcode' ),
                'id'             => 'itcode_header_margin_top',
                'desc'           => esc_html__( "Optionally set Margintop for Header.", 'itcode' ),
                'type'           => 'number',
                'std'            => '',
                'default'        => '0',
                'required-field' => array( 'itcode_header_show_hide', '<>', '0' ),
            ),*/
            /*array(
                'name' => esc_html__( 'Set header customize?', 'itcode' ),
                'id'   => 'itcode_enable_header_customize',
                'type' => 'checkbox',
                'std'  => 0,
            ),*/
            /*array(
                'name'           => esc_html__( 'Header Customize', 'itcode' ),
                'id'             => 'itcode_header_customize',
                'type'           => 'sorter',
                'std'            => '',
                'desc'           => esc_html__( 'Select element for header customize. Drag to change element order', 'itcode' ),
                'options'        => array(
                    'get-a-quote'   => 'Get a quote',
                    'shopping-cart' => 'Shopping Cart',
                    'search'        => 'Search Box',
                    'custom-text'   => 'Custom Text',
                ),
                'required-field' => array( 'itcode_enable_header_customize', '=', '1' ),
            ),*/

            /*array(
                'name'           => esc_html__( 'Custom text content?', 'itcode' ),
                'id'             => 'itcode_header_customize_text',
                'type'           => 'textarea',
                'std'            => '',
                'required-field' => array( 'itcode_enable_header_customize', '=', '1' ),
            ),*/

            array(
                'name'    => esc_html__( 'Header Sticky', 'itcode' ),
                'id'      => 'itcode_header_sticky',
                'type'    => 'radio',
                'std'     => '-1',
                'options' => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Enable Header Sticky', 'itcode' ),
                    '0'  => esc_html__( 'Disable Header Sticky', 'itcode' ),
                ),
            ),
            /*array(
                'name'           => esc_html__( 'Header Sticky Border Bottom', 'itcode' ),
                'id'             => 'itcode_header_sticky_border',
                'type'           => 'radio',
                'std'            => '-1',
                'options'        => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Show Border', 'itcode' ),
                    '0'  => esc_html__( 'Hide Border', 'itcode' ),
                ),
                'required-field' => array( 'itcode_header_sticky', '<>', '0' ),
            ),*/

            /*array(
                'name'    => esc_html__( 'Mobile Header Search Box', 'itcode' ),
                'id'      => 'itcode_mobile_header_search_box',
                'type'    => 'radio',
                'std'     => '-1',
                'options' => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Show', 'itcode' ),
                    '0'  => esc_html__( 'Hide', 'itcode' )
                ),
            ),*/

           /* array(
                'name'    => esc_html__( 'Mobile Header Shopping Cart', 'itcode' ),
                'id'      => 'itcode_mobile_header_shopping_cart',
                'type'    => 'radio',
                'std'     => '-1',
                'options' => array(
                    '-1' => esc_html__( 'Default', 'itcode' ),
                    '1'  => esc_html__( 'Show', 'itcode' ),
                    '0'  => esc_html__( 'Hide', 'itcode' )
                ),

            ),*/

            array(
                'id'               => 'itcode_custom_logo',
                'name'             => esc_html__( 'Custom Logo', 'itcode' ),
                'desc'             => esc_html__( 'Upload custom logo in header.', 'itcode' ),
                'type'             => 'image_advanced',
                'max_file_uploads' => 1,
            ),

            array(
                'id'	=> 'itcode_page_title_bar_meta',
                'name'	=> esc_attr__( 'Show Page Title:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 1,
            ),
            array(
                'id'	=> 'itcode_page_title_text_color_meta',
                'name'	=> esc_attr__( 'Page Title Text Color:', 'itcode' ),
                'type'	=> 'color',
            ),
            array(
                'id'	=> 'itcode_page_title_bg_color_meta',
                'name'	=> esc_attr__( 'Page Title Background Color:', 'itcode' ),
                'type'	=> 'color',
            ),
            array(
                'id'	=> 'itcode_page_title_font_size_meta',
                'name'	=> esc_attr__( 'Page Title Font Size:', 'itcode' ),
                'desc'	=> esc_attr__( '(in px format)', 'itcode' ),
                'type'	=> 'text',
            ),
            array(
                'type'	=>'divider',
            ),
            /*array(
                'id'	=> 'itcode_transparent_header_meta',
                'name'	=> esc_attr__( 'Transparent Header:', 'itcode' ),
                'type'	=> 'radio',
                'options'	=> array(
                    'light'	=> esc_attr__( 'Light Style', 'itcode' ),
                    'dark'	=> esc_attr__( 'Dark Style', 'itcode' ),
                ),
                'placeholder'	=> esc_attr__( 'Select an Item', 'itcode' ),
            ),*/
            /*array(
                'id'	=> 'itcode_hide_header_meta',
                'name'	=> esc_attr__( 'Hide Header at Start:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 0,
            ),
            array(
                'type'	=>'divider',
            ),*/

        )
    );


    /**
     * PAGE FOOTER
     */
    $meta_boxes[] = array(
        'id'     => 'itcode_page_footer_meta_box',
        'title'  => esc_html__( 'Page Footer', 'itcode' ),
        'pages'  => array( 'post', 'page', 'portfolio', 'services', 'ourteam' ),
        'fields' => array(

            /*array(
                'id'	=> 'itcode_footer_show',
                'name'	=> esc_attr__( 'Show Footer:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 1,
            ),*/
           /* array(
                'type'	=>'divider',
            ),*/
            array(
                'name'    => esc_html__( 'Show/Hide Footer', 'itcode' ),
                'id'      => 'itcode_footer_show_hide',
                'type'    => 'radio',
                'std'     => '1',
                'options' => array(
                    '1' => esc_html__( 'Show Footer', 'itcode' ),
                    '0' => esc_html__( 'Hide Footer', 'itcode' )
                ),
                'desc'    => esc_html__( 'Show/hide footer', 'itcode' ),
            ),

            /*array(
                'name'       => esc_html__( 'Footer Layout', 'itcode' ),
                'id'         => 'itcode_footer_layout',
                'type'       => 'image_select',
                'allowClear' => true,
                'width'      => '80px',
                'std'        => '',
                'options'    => array(
                    'footer-1' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-1.jpg',
                    'footer-2' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-2.jpg',
                    'footer-3' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-3.jpg',
                    'footer-4' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-4.jpg',
                    'footer-5' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-5.jpg',
                    'footer-6' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-6.jpg',
                    'footer-7' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-7.jpg',
                    'footer-8' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-8.jpg',
                    'footer-9' =>  get_template_directory_uri()  . '/assets/images/theme-options/footer-layout-9.jpg',
                ),
                'desc'       => esc_html__( 'Select Footer Layout (Not set to default).', 'itcode' ),
            ),*/

            array(
                'name'    => esc_html__( 'Show/Hide Bottom Bar', 'itcode' ),
                'id'      => 'itcode_bottom_bar',
                'type'    => 'radio',
                'std'     => '-1',
                'options' => array(
                    '-1' => 'Default',
                    '1'  => 'Show Bottom Bar',
                    '0'  => 'Hide Bottom Bar'
                ),
                'desc'    => esc_html__( 'Show Hide Bottom Bar.', 'itcode' ),
            ),
        )
    );

    /**
     * PAGE LAYOUT
     */
    $meta_boxes[] = array(
        'id'     => 'itcode_page_layout_meta_box',
        'title'  => esc_html__( 'Page Layout', 'itcode' ),
        'pages'  => array( 'post', 'page', 'services', 'ourteam' ),
        'fields' => array(
            /*array(
                'name'     => esc_html__( 'Layout Style', 'itcode' ),
                'id'       => 'itcode_layout_style',
                'type'     => 'radio',
                'options'  => array(
                    '-1'    => esc_html__( 'Default', 'itcode' ),
                    'boxed' => esc_html__( 'Boxed', 'itcode' ),
                    'wide'  => esc_html__( 'Wide', 'itcode' )
                ),
                'std'      => '-1',
                'multiple' => false,
            ),
            array(
                'type'	=>'divider',
            ),*/
            array(
                'name'     => esc_html__( 'Page Layout', 'itcode' ),
                'id'       => 'itcode_page_layout',
                'type'     => 'radio',
                'options'  => array(
                    '-1'              => esc_html__( 'Default', 'itcode' ),
                    'full'            => esc_html__( 'Full Width', 'itcode' ),
                    'container'       => esc_html__( 'Container', 'itcode' ),
                    'container-fluid' => esc_html__( 'Container Fluid', 'itcode' ),
                ),
                'std'      => '-1',
                'multiple' => false,
            ),
            array(
                'name'       => esc_html__( 'Page Sidebar', 'itcode' ),
                'id'         => 'itcode_page_sidebar',
                'type'       => 'image_select',
                'allowClear' => true,
                'options'    => array(
                    'none'  =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-none.png',
                    'left'  =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-left.png',
                    'right' =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-right.png',
                    'both'  =>  get_template_directory_uri()  . '/assets/images/theme-options/sidebar-both.png'
                ),
                'std'        => '',
                'multiple'   => false,

            ),
            /*array(
                'id'	=> 'itcode_sidebar_position_meta',
                'name'	=> esc_attr__( 'Sidebar Position:', 'itcode' ),
                'type'	=> 'radio',
                'options'	=> array(
                    'right'	=> esc_attr__( 'Right', 'itcode' ),
                    'left'	=> esc_attr__( 'Left', 'itcode' ),
                    'both'	=> esc_attr__( 'Both', 'itcode' ),
                ),
                'placeholder'	=> esc_attr__( 'Select an Item', 'itcode' ),
            ),*/
            array(
                'name'           => esc_html__( 'Left Sidebar', 'itcode' ),
                'id'             => 'itcode_page_left_sidebar',
                'placeholder'    => esc_html__( 'Select Sidebar', 'itcode' ),
                'type'           => 'select_advanced',
                'std'            => '',
                'required-field' => array( 'itcode_page_sidebar', '=', array( '', 'left', 'both' ) ),
                'options' => itcode_get_sidebars_list(),
            ),

            array(
                'name'           => esc_html__( 'Right Sidebar', 'itcode' ),
                'id'             => 'itcode_page_right_sidebar',
                'type'           => 'select_advanced',
                'placeholder'    => esc_html__( 'Select Sidebar', 'itcode' ),
                'std'            => '',
                'required-field' => array( 'itcode_page_sidebar', '=', array( '', 'right', 'both' ) ),
                'options' => itcode_get_sidebars_list(),
            ),

            array(
                'name'           => esc_html__( 'Sidebar Width', 'itcode' ),
                'id'             => 'itcode_sidebar_width',
                'type'           => 'radio',
                'options'        => array(
                    '-1'     => esc_html__( 'Default', 'itcode' ),
                    'small'  => esc_html__( 'Small (1/4)', 'itcode' ),
                    'larger' => esc_html__( 'Large (1/3)', 'itcode' )
                ),
                'std'            => '-1',
                'multiple'       => false,
                'required-field' => array( 'itcode_page_sidebar', '<>', 'none' ),
            ),

            array(
                'type'	=>'divider',
            ),

            /*array(
                'name' => esc_html__( 'Page Class Extra', 'itcode' ),
                'id'   => 'itcode_page_class_extra',
                'type' => 'text',
                'std'  => ''
            ),*/

            /*array(
                'id'	=> 'itcode_wrap_color_meta',
                'name'	=> esc_attr__( 'Content Background Color:', 'itcode' ),
                'type'	=> 'color',
            ),
            array(
                'id'	=> 'itcode_body_bg_color_meta',
                'name'	=> esc_attr__( 'Body Background Color:', 'itcode' ),
                'type'	=> 'color',
            ),
            array(
                'id'	=> 'itcode_body_bg_img_meta',
                'name'	=> esc_attr__( 'Body Background Image:', 'itcode' ),
                'type'	=> 'image_advanced',
            ),
            array(
                'id'	=> 'itcode_body_bg_image_100_meta',
                'name'	=> esc_attr__( '100% Background Image:', 'itcode' ),
                'type'	=> 'checkbox',
                'std'	=> 0,
            ),
            array(
                'id'	=> 'itcode_body_bg_image_repeat_meta',
                'name'	=> esc_attr__( 'Background Repeat:', 'itcode' ),
                'type'	=> 'radio',
                'options'	=> array(
                    '0'	=> esc_attr__( 'No repeat', 'itcode' ),
                    '1'	=> esc_attr__( 'Repeat both vertically and horizontally', 'itcode' ),
                    '2'	=> esc_attr__( 'Repeat only horizontally', 'itcode' ),
                    '3'	=> esc_attr__( 'Repeat only vertically', 'itcode' ),
                ),
                'placeholder'	=> esc_attr__( 'Select an Item', 'itcode' ),
            ),
            array(
                'type'	=>'divider',
            ),*/
        )
    );



    /**
     * Make sure there's no errors when the plugin is deactivated or during upgrade
     */
    if ( class_exists( 'RW_Meta_Box' ) ) {
        foreach ( $meta_boxes as $meta_box ) {
            new RW_Meta_Box( $meta_box );
        }
    }
}// end function itcode_register_meta_boxes

/**
 * Hook to 'admin_init' to make sure the meta box class is loaded before
 * (in case using the meta box class in another plugin)
 * This is also helpful for some conditionals like checking page template, categories, etc.
 */
add_action( 'admin_init', 'itcode_register_meta_boxes' );
