<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.4.1
 * @author     Thomas Griffin
 * @author     Gary Jones
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */

require_once get_template_directory() . '/inc/plugins/plugin-activator/class-tgm-plugin-activation.php';

if( !function_exists( 'itcode_register_required_plugins') ) {
	function itcode_register_required_plugins() {
		$plugins = array(

			/*array(
				'name'       => esc_html__( 'Visual Composer', 'itcode' ),
				'slug'       => 'js_composer',
				'source'     => get_template_directory() . '/inc/plugins/js_composer.zip',
				'required'   => true,
			),*/
			/*array(
				'name'       => esc_html__( 'Itcode Shortcodes', 'itcode' ),
				'slug'       => 'itcode-shortcodes',
				'source'     => get_template_directory() . '/inc/plugins/itcode-shortcodes.zip',
				'required'   => true,
			),*/
			/*array(
				'name'       => esc_html__( 'Itcode Time Table', 'itcode' ),
				'slug'       => 'w-time-table',
				'source'     => get_template_directory() . '/inc/plugins/w-time-table.zip',
			),*/
			/*array(
				'name'       => esc_html__( 'User Pro', 'itcode' ),
				'slug'       => 'user-pro',
				'source'     => get_template_directory() . '/inc/plugins/userpro.zip',
			),*/
			/*array(
				'name' 		=> 'Itcode Portfolio',
				'slug' 		=> 'itcode-portfolio',
				'required' 	=> true,
				'source'    => get_template_directory() . '/inc/plugins/itcode-portfolio.zip',
				'force_activation'      => false,
				'force_deactivation'    => false,
			),*/
			/*array(
				'name'       => esc_html__( 'Essential Grid', 'itcode' ),
				'slug'       => 'essential-grid',
				'source'     => get_template_directory() . '/inc/plugins/essential-grid.zip',
				'required'   => false,
			),*/
			/*array(
				'name'       => esc_html__( 'WP Domain Checker', 'itcode' ),
				'slug'       => 'wp-domain-checker',
				'source'     => get_template_directory() . '/inc/plugins/wp-domain-checker.zip',
				'required'   => false,
			),*/

			array(
				'name'     	=> 'Contact Form 7',
				'slug'     	=> 'contact-form-7',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/contact-form-7.4.5.zip',
				'required' 				=> false,
				'version' 				=> '4.5.1',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),
			/*array(
				'name'     	=> 'Buddy Press',
				'slug'     	=> 'buddypress',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/plugin_name.zip',
				'required' 				=> false,
				'version' 				=> '2.6.2',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),*/
			array(
				'name'     	=> 'Regenerate Thumbnails',
				'slug'     	=> 'regenerate-thumbnails',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/plugin_name.zip',
				'required' 				=> false,
				'version' 				=> '2.2.6',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),
			/*array(
				'name'     	=> 'Dynamic Widgets',
				'slug'     	=> 'dynamic-widgets',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/plugin_name.zip',
				'required' 				=> false,
				'version' 				=> '1.5.12',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),*/
			/*array(
				'name'     	=> 'JetPack',
				'slug'     	=> 'jetpack',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/plugin_name.zip',
				'required' 				=> false,
				'version' 				=> '4.3.1',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),*/
			array(
				'name'     	=> 'Projects',
				'slug'     	=> 'projects-by-woothemes',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/plugin_name.zip',
				'required' 				=> false,
				'version' 				=> '1.5.0',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),
			array(
				'name'     	=> 'Testimonials',
				'slug'     	=> 'testimonials-by-woothemes',
				//'source'  => get_stylesheet_directory_uri() . '/includes/plugins/plugin_name.zip',
				'required' 				=> false,
				'version' 				=> '1.5.4',
				'force_activation' 		=> false,
				'force_deactivation' 	=> false,
				//'external_url' 			=> '',
			),

			array(
				'name' 		=> esc_html__( 'Woocommerce', 'itcode' ),
				'slug' 		=> 'woocommerce',
				'required' 	=> false,
			),

            array(
                'name'     	=> 'One Click Demo Import',
                'slug'     	=> 'one-click-demo-import',
                'required' 				=> false,
                'version' 				=> '2.2.1',
                'force_activation' 		=> false,
                'force_deactivation' 	=> false,
                //'external_url' 			=> '',
            ),

            array(
                'name'     	=> 'Elementor',
                'slug'     	=> 'elementor',
                'required' 				=> true,
                'version' 				=> '1.4.4',
                'force_activation' 		=> true,
                'force_deactivation' 	=> false,
                //'external_url' 			=> '',
            ),


            /*array(
                'name' 		=> esc_html__( 'TablePress', 'itcode' ),
                'slug' 		=> 'tablepress',
                'required' 	=> false,
            ),*/

			/*array(
				'name' 		=> esc_html__( 'WP PageNavi', 'itcode' ),
				'slug' 		=> 'wp-pagenavi',
				'required' 	=> false,
			),*/

			/*array(
				'name'       => esc_html__( 'Social Count Plus', 'itcode' ),
				'slug'       => 'social-count-plus',
				'required'   => false,
			),*/

			/*array(
				'name'       => esc_html__( 'Envato Wordpress Toolkit', 'itcode' ),
				'slug'       => 'envato-wordpress-toolkit',
				'source'     => get_template_directory() . '/inc/plugins/envato-wordpress-toolkit.zip',
				'required'   => false,
			),*/

		);


		/*$config = array(
			'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to bundled plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'parent_slug'  => 'themes.php',            // Parent menu slug.
			'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => true,                   // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
		);*/

		$config = array(
			'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to pre-packaged plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'parent_slug'  => 'themes.php',            // Parent menu slug.
			'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => true,                   // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
			'strings'      => array(
				'page_title'                      => __( 'Install Required Plugins', 'itcode' ),
				'menu_title'                      => __( 'Install Plugins', 'itcode' ),
				'installing'                      => __( 'Installing Plugin: %s', 'itcode' ), // %s = plugin name.
				'oops'                            => __( 'Something went wrong with the plugin API.', 'itcode' ),
				'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'itcode' ), // %1$s = plugin name(s).
				'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'itcode' ), // %1$s = plugin name(s).
				'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'itcode' ), // %1$s = plugin name(s).
				'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'itcode' ), // %1$s = plugin name(s).
				'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'itcode' ), // %1$s = plugin name(s).
				'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'itcode' ), // %1$s = plugin name(s).
				'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'itcode' ), // %1$s = plugin name(s).
				'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'itcode' ), // %1$s = plugin name(s).
				'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'itcode' ),
				'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'itcode' ),
				'return'                          => __( 'Return to Required Plugins Installer', 'itcode' ),
				'plugin_activated'                => __( 'Plugin activated successfully.', 'itcode' ),
				'complete'                        => __( 'All plugins installed and activated successfully. %s', 'itcode' ), // %s = dashboard link.
				'nag_type'                        => 'updated', // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
			)
		);

		tgmpa( $plugins, $config );

	}
}// end itcode_register_required_plugins
add_action( 'tgmpa_register', 'itcode_register_required_plugins' );

if(function_exists('vc_set_as_theme')) vc_set_as_theme( $disable_updater = true );