<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 29.03.2017
 * Time: 21:06
 */




if ( !function_exists( 'itcode_topbar' ) ) {
    function itcode_topbar($pos) {
        $class = ($pos == 'left') ? 'pull-left' : 'pull-right';
        include_once(ABSPATH . 'wp-admin/includes/plugin.php');
        echo '<div class="col col-md-6 ' . $class . '"><div class="row">';

        //var_dump(get_theme_mod('topbar_custom_button', 'none'));// string(5) "right"
        //var_dump($pos);// string(5) "right"
        if (get_theme_mod('topbar_custom_button', 'none') == $pos ) {
            //var_dump(get_theme_mod('topbar_button_link', 'http://site.com'));
            echo '<a  href="' . esc_url_raw(get_theme_mod('topbar_button_link', 'http://site.com')) . '">' . get_theme_mod('topbar_button_text', 'Text') . '</a>';
        }

        if (get_theme_mod('topbar_search', 'none') == $pos) {
            // todo move to search template file

            echo '<form class="form-inline" id="topbar-search" role="search" action="' . esc_url(home_url('/')) . '" method="get" >';
            echo '<div class="input-group">';
            echo '<input name="s"  type="text" class="form-control form-control-sm" placeholder="Search" aria-describedby="basic-addon1">';
            echo '<button class="input-group-addon btn  btn-secondary btn-sm my-2 my-sm-0" type="submit" id="basic-addon1"><i class="fa fa-search"></i></button>';
            echo '</div>';
            echo '</form>';

        }

        //var_dump(get_theme_mod('topbar_social', 'none'));
        if (get_theme_mod('topbar_social', 'none') == $pos && has_nav_menu( 'social' )) {

            echo '<nav class="social-navigation" role="navigation">';
            wp_nav_menu( array(
                'theme_location' => 'social',
                'menu_class'     => 'social-links-menu',
                'depth'          => 1,
                'link_before'    => '<span class="screen-reader-text">',
                'link_after'     => '</span>' . itcode_get_svg( array( 'icon' => 'chain' ) ),
            ) );
            echo '</nav><!-- .social-navigation -->';
        }


        if (get_theme_mod('topbar_login', 'none') == $pos) {
            $login_text = get_theme_mod('topbar_login_text', 'Login / Register');
            if (is_user_logged_in()) {
                global $user_identity;
                $login_text = esc_html__('Welcome ', 'itcode') . esc_html($user_identity);
            }

            echo '<button type="button" class="btn btn-secondary btn-sm" data-toggle="modal" data-target="#user-form-modal"><i class="fa fa-user"></i> ' . esc_html($login_text) . '</button>';

            echo '<div class="modal fade" id="user-form-modal" tabindex="-1" role="dialog" aria-labelledby="UserModalLabel"><div class="modal-dialog" role="document" style="margin-top: 50px"><div class="modal-content">';
            echo '<div class="modal-header"><h4 class="modal-title" id="UserModalLabel">'.esc_html($login_text).'</h4><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
            echo '<div class="modal-body">';
            itcode_login();
            echo'</div>';
            echo '</div></div></div>';
        }

        if (get_theme_mod('topbar_language', 'none') == $pos) {
            do_action('icl_language_selector');
        }
        if (is_plugin_active('polylang/polylang.php') && get_theme_mod('polylang_flags', 'none') == $pos) {
            echo '<div class="polylang-flags">';
            the_widget('PLL_Widget_Languages', 'show_flags=1&show_names=0');
            echo '</div>';
        }

        if (get_theme_mod('topbar_contact', 'none') == $pos) {
            echo '<a  href="#" data-toggle="modal" data-target="#contact-form-modal">' . esc_html__('Contact Now', 'itcode') . '</a>';

            if ( get_theme_mod('topbar_contact') ) {
                $form_id = esc_html(get_theme_mod('topbar_cf7_id'));
                echo '<div class="modal fade" id="contact-form-modal" tabindex="-1" role="dialog" aria-labelledby="ContactFormModalLabel"><div class="modal-dialog" role="document" style="margin-top: 50px"><div class="modal-content">';
                echo '<div class="modal-header"><h4 class="modal-title" id="ContactModalLabel">'.esc_html__('Write letter Now','itcode').'</h4><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
                echo '<div class="modal-body">'.do_shortcode('[contact-form-7 id="'.$form_id.'" title="' . esc_attr( 'Contact' ) . '"]').'</div>';
                echo '</div></div></div>';

            }
        }

        if (get_theme_mod('topbar_info', 'none') == $pos) {
            if (get_theme_mod('topbar_address')){
                echo '<a  href="https://www.google.com/maps/place/' . esc_html(get_theme_mod('topbar_address')) . '" target="_blank"><i class="fa fa-map-marker"></i> ' . esc_html(get_theme_mod('topbar_address')) . '</a>';
            }

            //var_dump(get_theme_mod('topbar_email'));
            if (get_theme_mod('topbar_email', 'info@site.com')){
                //var_dump(get_theme_mod('topbar_email'));
                echo '<a  href="mailto:' . esc_html(get_theme_mod('topbar_email', 'info@site.com')) . '"><i class="fa fa-envelope"></i> ' . esc_html(get_theme_mod('topbar_email', 'info@site.com')) . '</a>';
            }
            if (get_theme_mod('topbar_phone', '+1 234 56789')){
                echo '<a  href="tel:' . esc_html(get_theme_mod('topbar_phone', '+1 234 56789')) . '"><i class="fa fa-phone"></i> ' . esc_html(get_theme_mod('topbar_phone', '+1 234 56789')) . '</a>';
            }
        }// end if



        if (get_theme_mod('topbar_menu') == $pos && has_nav_menu('header-top-menu')) {

            $pull = ($pos == 'left') ? 'pull-left' : 'pull-right';
            if (get_theme_mod('header_type') == 0) {
                $menuParameters = array(
                    'theme_location' => 'header-top-menu',
                    'container' => false,
                    'menu_id' => 'nav-top',
                    'menu_class' => 'nav navbar-nav '. $pull,
                    'depth' => '5',// todo error show dropdown item
                    'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                    'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
                    'walker'            => new WP_Bootstrap_Navwalker(),

                );

            } else {
                $menuParameters = array(
                    'theme_location' => 'header-top-menu',
                    'container' => false,
                    'menu_id' => 'nav-top',
                    'menu_class' => 'nav navbar-nav '. $pull,
                    'depth' => '2', // todo error show dropdown item
                    'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                    'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
                    'walker'            => new WP_Bootstrap_Navwalker(),
                );

            }
            echo wp_nav_menu($menuParameters);
        }// end if

        if (get_theme_mod('topbar_custom', 'none') == $pos) {
            echo '<span class="navbar-text">'. esc_html(get_theme_mod('topbar_text', 'press any key')) .'</span>';
        }



        echo '</div></div>';
    }
}// end itcode_topbar


if ( ! function_exists( 'itcode_edit_link' ) ) {
    /**
     * Returns an accessibility-friendly link to edit a post or page.
     *
     * This also gives us a little context about what exactly we're editing
     * (post or page?) so that users understand a bit more where they are in terms
     * of the template hierarchy and their content. Helpful when/if the single-page
     * layout with multiple posts/pages shown gets confusing.
     */
    function itcode_edit_link()
    {

        $link = edit_post_link(
            sprintf(
            /* translators: %s: Name of current post */
                __('<i class="fa fa-pencil"></i> Edit<span class="screen-reader-text"> "%s"</span>', 'itcode'),
                get_the_title()
            ),
            '<span class="edit-link">',
            '</span>'
        );

        return $link;
    }
} // end itcode_edit_link
