<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 04.04.2017
 * Time: 3:47
 */

?>
<!-- start author loop -->
<div class="site-content-page-inner <?php echo esc_attr( $content_col ) ?>">
    <div class="card page-content">
        <div class="card-header author-header">
            <?php
            $curauth = ( isset( $_GET['author_name'] ) ) ? get_user_by( 'slug',
                $author_name ) : get_userdata( intval( $author ) );
            ?>

            <h2 class="card-title">
                <?php esc_html_e( 'About:', 'itcode' ); ?> <?php echo esc_html( $curauth->nickname ); ?>
            </h2>

        </div><!-- end card-header -->
        <div class="card-block">
            <div class="d-flex flex-row">
                <div class="mr-2">
                    <?php if ( ! empty( $curauth->ID ) ) : ?>
                        <?php echo get_avatar( $curauth->ID ); ?>
                    <?php endif; ?>
                </div>
                <div class="p-2">
                    <div class="d-flex flex-column">
                        <?php if ( ! empty( $curauth->user_url ) ) : ?>
                            <div class="card-text p-2">
                                <?php esc_html_e( 'Website', 'itcode' ); ?> <a class="card-link" href="<?php echo esc_html( $curauth->user_url ); ?>"><?php echo esc_html( $curauth->user_url ); ?></a>
                            </div>
                        <?php endif; ?>
                        <?php if ( ! empty( $curauth->user_description ) ) : ?>
                            <div class="card-text p-2">
                                <?php esc_html_e( 'Profile', 'itcode' ); ?> <?php echo esc_html( $curauth->user_description ); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-block">
            <h3><?php esc_html_e( 'Posts by', 'itcode' ); ?> <?php echo esc_html( $curauth->nickname ); ?> :</h3>

        </div>
        <ul class="list-group list-group-flush">

            <!-- The Loop -->
            <?php if ( have_posts() ) : ?>
                <?php while ( have_posts() ) : the_post(); ?>
                    <li class="list-group-item">
                        <div class="d-flex flex-column">
                            <div class="p-2">
                                <a class="card-link" rel="bookmark" href="<?php the_permalink() ?>"
                                   title="Permanent Link: <?php the_title(); ?>">
                                    <?php the_title(); ?></a>
                            </div>
                            <div class="p-2">
                                <small class="text-muted">
                                    <?php //itcode_posted_on(); ?> <?php esc_html_e( 'In', 'itcode' ); ?> <?php the_category( ' & ' ); ?>
                                </small>
                            </div>
                        </div>

                    </li>
                <?php endwhile; ?>

            <?php else : ?>

                <?php get_template_part( 'loop-templates/content', 'none' ); ?>

            <?php endif; ?>

            <!-- End Loop -->

        </ul>

        <?php
        //itcode_pagination();
        global $wp_query;
        if ( $wp_query->max_num_pages > 1 ) :  ?>
            <!-- start pagination component -->
            <div class="card-block">
                <div class="d-flex justify-content-center blog-paging-wrapper blog-paging-<?php echo esc_attr( $archive_paging_style ); ?>">
                    <?php
                    switch ( $archive_paging_style ) {
                        case 'load-more':
                            itcode_paging_load_more();
                            break;
                        case 'infinity-scroll':
                            itcode_paging_infinitescroll();
                            break;
                        default:
                            echo itcode_paging_nav();
                            break;
                    }
                    ?>
                </div>
            </div>
            <!-- end pagination component -->
        <?php endif; ?>
    </div><!-- end card -->
</div>
<!-- start author loop -->