<?php
/**
 * Post rendering content according to caller of get_template_part.
 *
 * @package itcode
 *
 * default vertical card view
 */
$itcode_loop = itcode_loop();

$size = ( isset( $itcode_loop['image-size'] ) ) ? $itcode_loop['image-size'] : 'full';

?>
<!-- start default loop -->
<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
    <div class="card entry-wrapper clearfix mb-3">

        <?php
        $thumbnail = itcode_post_thumbnail( $size );
        if ( !empty( $thumbnail ) ) { ?>
            <div class="card-img-top img-thumbnail">
                <?php echo wp_kses_post( $thumbnail ); ?>
            </div>

        <?php }else{
            if(get_theme_mod('archive_blog_no_image', 0 ) == 1 ){
                echo '<img class="card-img-top post-thumbnail img-thumbnail" alt="'.get_the_title().'" width="756" height="443" src="'.get_theme_mod('archive_post_no_image', '' ).'">';
            }

        } ?>

        <div class="card-block">
            <?php the_title( sprintf( '<h2  class="card-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ),
                '</a></h2>' ); ?>

            <?php if ( 'post' == get_post_type() ) : ?>

                <div class="entry-meta mt-1">
                    <?php

                    //itcode_posted_on(); // todo deprecate
                    itcode_post_meta();
                    ?>
                </div><!-- .entry-meta -->

            <?php endif; ?>
            <!-- .entry-header -->
            <div class="entry-content mt-2">

                <?php
                the_excerpt();
                ?>

                <?php
                wp_link_pages( array(
                    'before' => '<div class="page-links">' . __( 'Pages:', 'itcode' ),
                    'after'  => '</div>',
                ) );
                ?>

            </div><!-- .entry-content -->

            <!--<footer class="entry-footer">-->

                <?php //itcode_entry_footer(); ?>

           <!-- </footer>--><!-- .entry-footer -->


        </div>
    </div><!-- end card -->
</article><!-- #post-## -->
<!-- end default loop -->