<?php
/**
 * The Template for displaying all single projects.
 *
 * Override this template by copying it to yourtheme/projects/single-project.php
 *
 * @author 		WooThemes
 * @package 	Projects/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$itcode_loop = itcode_loop(); // global return var  itcode_loop

global $projects_loop;

// Store column count for displaying the grid
if ( empty( $projects_loop['columns'] ) ){
    $itcode_loop['projects_columns'] = apply_filters( 'projects_loop_columns', 2 );
}else{
    $itcode_loop['projects_columns'] = $projects_loop['columns'];
}


$itcode_loop['layout_style'] = isset( $_GET['layout'] ) ? $_GET['layout'] : get_theme_mod( 'projects_single_layout', 'container' );

$itcode_loop['sidebar']  = isset( $_GET['sidebar'] ) ? $_GET['sidebar'] : get_theme_mod( 'projects_single_sidebar', 'right' );

$itcode_loop['paging_style']  = isset( $_GET['paging'] ) ? $_GET['paging'] : get_theme_mod('projects_single_paging_style', 'default');

$itcode_loop['sidebar_width'] = isset( $_GET['sidebar_width'] ) ? $_GET['sidebar_width'] : get_theme_mod('projects_single_sidebar_width', 'small');


$itcode_loop['left_sidebar'] = get_theme_mod('projects_single_left_sidebar' , 'sidebar-1');
$itcode_loop['right_sidebar'] = get_theme_mod('projects_single_right_sidebar' , 'sidebar-2');


$itcode_loop['image-size'] = 'blog-classic';

$itcode_loop['sidebar_col'] = 'col-md-3';
if ( $itcode_loop['sidebar_width'] == 'large' ) {
    $itcode_loop['sidebar_col'] = 'col-md-4';
}

// bootstrap grid
$itcode_loop['content_col_number'] = 12;
if ( is_active_sidebar( $itcode_loop['left_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'both' ) || ( $itcode_loop['sidebar'] == 'left' ) ) ) {
    if ( $itcode_loop['sidebar_width'] == 'large' ) {
        $itcode_loop['content_col_number'] -= 4;
    } else {
        $itcode_loop['content_col_number'] -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}
if ( is_active_sidebar( $itcode_loop['right_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'both' ) || ( $itcode_loop['sidebar'] == 'right' ) ) ) {
    if ( $itcode_loop['sidebar_width'] == 'large' ) {
        $itcode_loop['content_col_number'] -= 4;
    } else {
        $itcode_loop['content_col_number'] -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}

$itcode_loop['content_col'] = 'col-md-' . $itcode_loop['content_col_number'];
if ( ( $itcode_loop['content_col_number'] == 12 ) && ( $itcode_loop['layout_style'] == 'full' ) ) {
    $itcode_loop['content_col'] = '';
}

$itcode_loop['wrapper_id']= 'projects-archive-wrapper';

$itcode_loop['main_class'][] = 'site-content-page';

if ( $itcode_loop['content_col_number'] < 12 ) {
    $itcode_loop['main_class'][] = 'has-sidebar';
}


$blog_class = array( 'blog-inner', 'clearfix' );

$blog_wrap_class = array( 'blog-wrapper' );

$blog_wrap_class[] = 'layout-' . $itcode_loop['layout_style'];

$template = get_theme_mod('projects_single_blog_template_type', 2 );

$show_projects_single_title = get_theme_mod('show_projects_single_title', 1 );

$projects_single_blog_page_title = get_theme_mod('projects_single_blog_page_title', 'Projects Archive' );

$projects_single_blog_featuredimage_enable = get_theme_mod('projects_single_blog_featuredimage_enable', 1 );

$projects_single_blog_meta_category_enable = get_theme_mod('projects_single_blog_meta_category_enable', 0 );

$projects_single_blog_posttitle_enable = get_theme_mod('projects_single_blog_posttitle_enable', 0 );

$projects_single_blog_meta_comments_enable = get_theme_mod('projects_single_blog_meta_comments_enable', 0 );

$itcode_last_time = get_the_time(get_option( 'date_format' )); $itcode_i=1; $itcode_flag = false; //timeline
if ($template == 6 || $template == 7) // disabled sidebar in masonry or timeline
    $sidebar = 'none';
if ($template == 4 || $template == 5) // post count in template 4,5
    $p_count = '0';

$itcode_loop['type'] = 'project' ;

get_header('projects');
?>
	<!-- start archive-project.php include wrapper -->
<?php get_template_part( 'templates-global/wrapper' ); ?>
	<!-- end archive-project.php include wrapper -->
<?php get_footer('projects'); ?>

