<?php
/**
 * The template for displaying search results pages.
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package itcode
 * @since 1.0
 * @version 1.0
 */

get_header();

$container   = get_theme_mod( 'itcode_container_type', 'container' );
$sidebar_pos = get_theme_mod( 'itcode_sidebar_position' );
?>

<div class="wrapper" id="search-wrapper">

	<div class="<?php echo esc_html( $container ); ?>" id="content" tabindex="-1">

		<div class="row">

			<!-- Do the left sidebar check and opens the primary div -->
			<?php get_template_part( 'templates-global/left-sidebar-check', 'none' ); ?>

			<main class="site-main" id="main">

				<?php if ( have_posts() ) : ?>

					<header class="page-header">

						<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'itcode' ),
						'<span>' . get_search_query() . '</span>' ); ?></h1>

					</header><!-- .page-header -->

					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php
						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'loop-templates/content', 'search' );
						?>

					<?php endwhile; ?>

				<?php else : ?>

					<?php get_template_part( 'loop-templates/content', 'none' ); ?>

				<?php endif; ?>

			</main><!-- #main -->

			<!-- The pagination component -->
            <?php // start paging
            global $wp_query;
            if ( $wp_query->max_num_pages > 1 ) :
                ?>
                <div class="d-flex justify-content-center blog-paging-wrapper blog-paging-<?php echo esc_attr( $archive_paging_style ); ?>">
                    <?php
                    switch ( $archive_paging_style ) {
                        case 'load-more':
                            itcode_paging_load_more();
                            break;
                        case 'infinity-scroll':
                            itcode_paging_infinitescroll();
                            break;
                        default:
                            echo itcode_paging_nav();
                            break;
                    }
                    ?>
                </div>
            <?php endif; // end paging  ?>

		</div><!-- #primary -->

		<!-- Do the right sidebar check -->
		<?php if ( 'right' === $sidebar_pos || 'both' === $sidebar_pos ) : ?>

			<?php get_sidebar( 'right' ); ?>

		<?php endif; ?>

	</div><!-- .row -->

</div><!-- Container end -->

</div><!-- Wrapper end -->

<?php get_footer(); ?>
