<?php
/**
 * Template for displaying search forms 
 *
 * @package itcode
 */
?>

<?php $unique_id = esc_attr( uniqid( 'search-form-' ) ); ?>

<form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
    <label class="assistive-text" for="<?php echo $unique_id; ?>"><?php esc_html_e( 'Search', 'itcode' ); ?></label>
    <div class="input-group">
        <input class="field form-control" id="<?php echo $unique_id; ?>" value="<?php echo get_search_query(); ?>" name="s" type="search"  placeholder="<?php esc_attr_e( 'Search &hellip;', 'itcode' ); ?>">
        <span class="input-group-btn">
			<input class="submit btn btn-primary" id="searchsubmit" name="submit" type="submit"
                   value="<?php esc_attr_e( 'Search', 'itcode' ); ?>">
	</span>
    </div>
</form>