<?php
/**
 * The Template for displaying all single projects
 *
 * @package Mix_ItCode
 */

$itcode_loop = itcode_loop();

$layout_style = itcode_get_post_meta( $post->ID, 'itcode_page_layout', true );
if ( ( $layout_style === '' ) || ( $layout_style == '-1' ) ) {
    $layout_style = get_theme_mod('single_blog_layout', 'container');
    $container = get_theme_mod('single_blog_layout', 'container');
}

$sidebar = itcode_get_post_meta( $post->ID, 'itcode_page_sidebar', true );
if ( ( $sidebar === '' ) || ( $sidebar == '-1' ) ) {
    $sidebar = get_theme_mod('single_blog_sidebar', 'left' );
}

$left_sidebar = itcode_get_post_meta( $post->ID, 'itcode_page_left_sidebar', true );
if ( ( $left_sidebar === '' ) || ( $left_sidebar == '-1' ) ) {
    $left_sidebar = get_theme_mod('single_blog_left_sidebar' , 'sidebar-1');
}

$right_sidebar = itcode_get_post_meta( $post->ID, 'itcode_page_right_sidebar', true );
if ( ( $right_sidebar === '' ) || ( $right_sidebar == '-1' ) ) {
    $right_sidebar = get_theme_mod('single_blog_right_sidebar' , 'sidebar-2');
}

$sidebar_width = itcode_get_post_meta( $post->ID, 'itcode_sidebar_width', true );
if ( ( $sidebar_width === '' ) || ( $sidebar_width == '-1' ) ) {
    $sidebar_width = get_itcode_options('single_blog_sidebar_width');
}

// Calculate sidebar column & content column
$sidebar_col = 'col-md-3';
if ( $sidebar_width == 'large' ) {
    $sidebar_col = 'col-md-4';
}
$itcode_loop['image-size'] = 'blog-classic';
$content_col_number                = 12;
if ( is_active_sidebar( $left_sidebar ) && ( ( $sidebar == 'both' ) || ( $sidebar == 'left' ) ) ) {
    if ( $sidebar_width == 'large' ) {
        $content_col_number -= 4;
    } else {
        $content_col_number -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}
if ( is_active_sidebar( $right_sidebar ) && ( ( $sidebar == 'both' ) || ( $sidebar == 'right' ) ) ) {
    if ( $sidebar_width == 'large' ) {
        $content_col_number -= 4;
    } else {
        $content_col_number -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}

$content_col = 'col-md-' . $content_col_number;
if ( ( $content_col_number == 12 ) && ( $layout_style == 'full' ) ) {
    $content_col = '';
}

$main_class = array( 'site-content-archive' );
if ( $content_col_number < 12 ) {
    $main_class[] = 'has-sidebar';
}

get_header();



/**
 * itcode_page_heading - 5
 **/
//do_action( 'itcode_before_page' );
?>

<div class="wrapper" id="single-wrapper">
    <div id="primary" class="content-area">
        <div class="<?php echo esc_html( $container ); ?>" id="content" tabindex="-1">

            <main class="<?php echo join( ' ', $main_class ) ?>" id="main" role="main">
                <?php if ( $layout_style != 'full' ): ?>
                <div class="<?php echo esc_attr( $layout_style ) ?> clearfix">
                    <?php endif; ?>
                    <?php if ( ( $content_col_number != 12 ) || ( $layout_style != 'full' ) ): ?>
                    <div class="row clearfix">
                        <?php endif; ?>
                        <?php if ( is_active_sidebar( $left_sidebar ) && ( ( $sidebar == 'left' ) || ( $sidebar == 'both' ) ) ): ?>
                            <div class="sidebar left-sidebar <?php echo esc_attr( $sidebar_col ) ?> hidden-sm hidden-xs">
                                <?php dynamic_sidebar( $left_sidebar ); ?>
                            </div>
                        <?php endif; ?>
                        <div class="site-content-archive-inner <?php echo esc_attr( $content_col ) ?>">
                            <div class="blog-wrap">
                                <div class="blog-inner blog-single clearfix">
                                    <?php
                                    if ( have_posts() ) : ?>

                                        <?php while ( have_posts() ) : the_post();
                                                        //var_dump(have_posts());
                                    ?>
                                            <?php get_template_part( 'components/features/portfolio/content', 'portfolio-single' ); ?>

                                            <?php the_post_navigation(); ?>

                                        <?php endwhile; // end of the loop. ?>
                                       <?php itcode_loop_reset();
                                    else :
                                        // If no content, include the "No posts found" template.
                                        get_template_part( 'template-parts/archive/content-none' );
                                    endif;
                                    ?>
                                </div>
                            </div>
                            <?php comments_template(); ?>
                        </div>
                        <?php if ( is_active_sidebar( $right_sidebar ) && ( ( $sidebar == 'right' ) || ( $sidebar == 'both' ) ) ): ?>
                            <div class="sidebar right-sidebar <?php echo esc_attr( $sidebar_col ) ?> hidden-sm hidden-xs">
                                <?php dynamic_sidebar( $right_sidebar ); ?>
                            </div>
                        <?php endif; ?>
                        <?php if ( ( $content_col_number != 12 ) || ( $layout_style != 'full' ) ): ?>
                    </div>
                <?php endif; ?>
                    <?php if ( $layout_style != 'full' ): ?>
                </div>
            <?php endif; ?>
            </main><!-- #main -->

        </div><!-- Container end -->
    </div><!-- #primary -->
</div><!-- Wrapper end -->
<?php get_footer(); ?>
