<?php
/**
 * The template for displaying all single posts.
 *
 * @package itcode
 */

$itcode_loop = itcode_loop(); // global return var  itcode_loop

$itcode_loop['layout_style'] = isset( $_GET['layout'] ) ? $_GET['layout'] : get_theme_mod( 'page_layout', 'container' );

$itcode_loop['sidebar']  = isset( $_GET['sidebar'] ) ? $_GET['sidebar'] : get_theme_mod( 'page_sidebar', 'right' );

$itcode_loop['paging_style']  = isset( $_GET['paging'] ) ? $_GET['paging'] : get_theme_mod('page_paging_style', 'default');

$itcode_loop['sidebar_width'] = isset( $_GET['sidebar_width'] ) ? $_GET['sidebar_width'] : get_theme_mod('page_sidebar_width', 'small');


$itcode_loop['left_sidebar'] = get_theme_mod('page_left_sidebar' , 'sidebar-1');
$itcode_loop['right_sidebar'] = get_theme_mod('page_right_sidebar' , 'sidebar-2');


$itcode_loop['image-size'] = 'blog-classic';

$itcode_loop['sidebar_col'] = 'col-md-3';
if ( $itcode_loop['sidebar_width'] == 'large' ) {
    $itcode_loop['sidebar_col'] = 'col-md-4';
}

// bootstrap grid
$itcode_loop['content_col_number'] = 12;
if ( is_active_sidebar( $itcode_loop['left_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'both' ) || ( $itcode_loop['sidebar'] == 'left' ) ) ) {
    if ( $itcode_loop['sidebar_width'] == 'large' ) {
        $itcode_loop['content_col_number'] -= 4;
    } else {
        $itcode_loop['content_col_number'] -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}
if ( is_active_sidebar( $itcode_loop['right_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'both' ) || ( $itcode_loop['sidebar'] == 'right' ) ) ) {
    if ( $itcode_loop['sidebar_width'] == 'large' ) {
        $itcode_loop['content_col_number'] -= 4;
    } else {
        $itcode_loop['content_col_number'] -= 3;
    }
    $itcode_loop['image-size'] = 'blog-classic-sidebar';
}

$itcode_loop['content_col'] = 'col-md-' . $itcode_loop['content_col_number'];
if ( ( $itcode_loop['content_col_number'] == 12 ) && ( $itcode_loop['layout_style'] == 'full' ) ) {
    $itcode_loop['content_col'] = '';
}

$itcode_loop['wrapper_id']= 'single-wrapper';

$itcode_loop['main_class'][] = 'site-content-page';

if ( $itcode_loop['content_col_number'] < 12 ) {
    $itcode_loop['main_class'][] = 'has-sidebar';
}

$itcode_loop['type'] = 'single' ;


get_header();
?>
<!-- start single.php include wrapper -->
<?php get_template_part( 'templates-global/wrapper' ); ?>
<!-- end single.php include wrapper -->
<?php get_footer(); ?>
