<?php
/**
 * Displays top navigation
 * @package WordPress
 * @version 1.0
 */


// main container class
$container = get_theme_mod( 'itcode_container_type' );

$container_class[] = 'collapse navbar-collapse';
if (get_theme_mod('site_header_layout_type', 'header-1') == 'header-2'){
    $container_class[] = 'flex-row justify-content-center';
}

$menu_class[] = 'navbar-nav';

//var_dump(get_theme_mod('header_sticky', 1)); //bool(false)
$header_sticky = rwmb_meta( 'itcode_header_sticky' );
//var_dump($header_sticky);
if ( ( $header_sticky === '' ) || ( $header_sticky == '-1' )  ) {
    if (get_theme_mod('header_sticky', true ) == false){
        $header_sticky = '';
    }else{
        $header_sticky = 'header-sticky';
    }

}
//var_dump($header_sticky);//string(1) "1"


$main_menu_wrapper = array( 'header-2-menu-wrapper' );
if ( $header_sticky == '1' ) {
    $main_menu_wrapper[] = 'header-sticky';
}

?>
<!-- ******************* The Navbar Area ******************* -->
<div class="wrapper-fluid wrapper-navbar" id="wrapper-navbar">

    <a class="skip-link screen-reader-text sr-only" href="#content"><?php esc_html_e( 'Skip to content',
            'itcode' ); ?></a>

    <nav id="site-navigation" class="navbar navbar-toggleable-md  navbar-light bg-faded main-navigation <?php echo $header_sticky; ?>">

        <?php if ( 'container' == $container ) : ?>
        <div class="container">
            <?php endif; ?>

            <?php
            if (get_theme_mod('mobile_header_menu_type', 'dropdown') == 'offcanvas'){ ?>
                <button class="navbar-toggler btn-sm navbar-toggler-right off-canvas-nav-btn" type="button" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
            <?php }else{ ?>
                <button class="navbar-toggler btn-sm navbar-toggler-right" type="button" data-toggle="collapse" data-target="#topNav" aria-controls="topNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
            <?php } ?>

            <!-- Your site title as branding in the menu -->
            <?php

            if (get_theme_mod('site_header_layout_type', 'header-1') !== 'header-2'){ ?>
                <?php if ( ! has_custom_logo() ) { ?>

                    <?php if ( is_front_page() && is_home() ) : ?>

                        <h1 class="navbar-brand mb-0"><a rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>

                    <?php else : ?>

                        <a class="navbar-brand" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php bloginfo( 'name' ); ?></a>

                    <?php endif; ?>


                <?php } else {
                    the_custom_logo();
                } ?><!-- end custom logo -->

            <?php } else {
                echo '<div class="sticky-logo">';
                the_custom_logo();
                echo '</div>';
            } ?>



            <!-- The WordPress Menu goes here -->
            <?php wp_nav_menu(
                array(
                    'theme_location'  => 'primary',
                    'container_class' => join( ' ', $container_class ),
                    'container_id'    => 'topNav',
                    'menu_class'      => join( ' ', $menu_class ),
                    'fallback_cb'     => 'WP_Bootstrap_Navwalker::fallback',
                    //'menu_id'         => 'main-menu',
                    'walker'          => new WP_Bootstrap_Navwalker(),
                )
            ); ?>
            <!-- end nav menu -->
            <?php if (get_theme_mod( 'site_enable_back_to_top', true ) == true && get_theme_mod( 'itcode_back_to_top_place', 'in_footer' ) == 'in_nav'){  echo '<span class="hidden-md-down navbar-scroll-top"><a class="scrollup"><i class="fa fa-chevron-down"></i></a></span>'; } ?>

            <?php if ( 'container' == $container ) : ?>
        </div><!-- .container -->
    <?php endif; ?>

    </nav><!-- .site-navigation -->

<!--
    <nav class="navbar navbar-toggleable-md navbar-light bg-faded">
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <a class="navbar-brand" href="#">Navbar</a>
        <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Features</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Pricing</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="http://example.com" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Dropdown link
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </li>
            </ul>
        </div>
    </nav>-->

</div><!-- .wrapper-navbar end -->





<?php
/**
 * <nav id="site-navigation" class="navbar navbar-toggleable-md navbar-light bg-faded main-navigation <?php echo join( ' ', $main_menu_wrapper ) ?>" role="navigation" aria-label="<?php _e( 'Top Menu', 'itcode' ); ?>">

<div class="container">

<div class="row">
<button class="navbar-toggler  navbar-toggler-right" type="button" data-toggle="collapse" data-target="#CollapseTopMenu" aria-controls="CollapseTopMenu" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
<div class="collapse navbar-collapse col" id="CollapseTopMenu">
<?php
$arg_menu = array(
'menu_id'        => 'top-menu',
'container'      => false,
//'container_class' => 'pull-left',
'theme_location' => 'top',
'menu_class'     => join( ' ', $menu_class ),
);
$page_menu = rwmb_meta( 'itcode_page_menu' );
// set custom menu
if ( !empty( $page_menu ) ) {
$arg_menu['menu'] = $page_menu;
}
?>
<!-- start ul top menu -->
<?php wp_nav_menu( $arg_menu ); ?>
<!-- end ul top menu -->
</div>
<!-- start cart -->
<?php if ( class_exists( 'WooCommerce' ) ) { // todo add theme settings on/off
get_template_part( 'template-parts/header/mini-cart' );
} ?>
<!-- end cart -->
<?php if( get_theme_mod('site_header_search_mode') == 1 ){ get_template_part('template-parts/header/search-button'); }?>

<?php if( get_theme_mod('site_header_layout_type', 'header-1') == 'header-4' ){  ?>
<ul>
<?php
if (get_theme_mod('topbar_address', 'Chicago')){
echo '<li><a href="https://www.google.com/maps/place/' . esc_html(get_theme_mod('topbar_address')) . '" target="_blank"><i class="fa fa-map-marker"></i></a></li>';
}

//var_dump(get_theme_mod('topbar_email'));
if (get_theme_mod('topbar_email', 'info@site.com')){
//var_dump(get_theme_mod('topbar_email'));
echo '<li><a href="mailto:' . esc_html(get_theme_mod('topbar_email', 'info@site.com')) . '"><i class="fa fa-envelope"></i></a></li>';
}
if (get_theme_mod('topbar_phone', '+1 234 56789')){
echo '<li><a href="tel:' . esc_html(get_theme_mod('topbar_phone', '+1 234 56789')) . '"><i class="fa fa-phone"></i></a></li>';
}

?>
</ul>
<?php
//var_dump(get_theme_mod('topbar_social', 'none'));
//if (get_theme_mod('topbar_social', 'none') == $pos && has_nav_menu( 'social' )) {

//echo '<nav class="social-navigation" role="navigation">';
wp_nav_menu( array(
'theme_location' => 'social',
//'menu_class'     => 'social-links',
'depth'          => 1,
'link_before'    => '<span class="screen-reader-text">',
'link_after'     => '</span>' . itcode_get_svg( array( 'icon' => 'chain' ) ),
) );
//echo '</nav><!-- .social-navigation -->';
//}
?>

<?php } ?>
</div>







</div><!-- .container -->
</nav><!-- #nav site-navigation -->
 */


?>






