<?php
/**
 * Displays header site branding
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */

// Get logo url for mobile
$logo_url =  get_template_directory_uri()  . '/assets/images/theme-options/logo.png';
if ( !empty( get_theme_mod('mobile_header_logo') ) ) {
    $logo_url = get_theme_mod('mobile_header_logo');
} else {
    if ( !empty( get_theme_mod('logo') ) ) {
        $logo_url = get_theme_mod('logo'); // todo fix var url
    }
}
?>


<div class="custom-header hidden-md-down">
    <div class="custom-header-media">
        <?php
        if ( is_front_page() &&  get_theme_mod('site_header_layout_type', 'header-1') == 'header-2' ){
            echo 'diff img';
            ?>
            <img src="<?php echo( get_header_image() ); ?>" alt="<?php echo( get_bloginfo( 'title' ) ); ?>" />
            <?php
        }else{
            the_custom_header_markup();
        }
         ?>
    </div><!-- .custom-header-media -->

    <div class="site-branding">
        <div class="container">
            <?php the_custom_logo(); ?>

            <div class="site-branding-text">
                <?php if ( is_front_page() ) : ?>
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php else : ?>
                    <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                <?php endif; ?>

                <?php $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?>
                    <p class="site-description"><?php echo $description; ?></p>
                <?php endif; ?>
            </div><!-- .site-branding-text -->
        </div>
    </div><!-- .site-branding -->
</div><!-- .custom-header -->

