<?php

global $post;

// global post / page settings
if ( get_theme_mod('show_page_title', true ) == true ){
    $show_page_title = true ;
}elseif ( get_theme_mod('show_archive_title', true ) == true ){
    $show_page_title = true ;
}elseif ( get_theme_mod('show_archive_product_title', true ) == true ){
    $show_page_title = true ;
} // todo add individual settings //rwmb_meta( 'itcode_show_page_title' );


if ( ( $show_page_title == - 1 ) || ( $show_page_title === '' ) ) {

	if ( is_singular( 'product' ) ) {
		$show_page_title = get_theme_mod('show_single_product_title', true );
		//var_dump($show_page_title);
	} else {
		if ( is_singular( 'portfolio' ) ) {
			$show_page_title = get_theme_mod('show_portfolio_title', true );
		} else {
			if ( is_singular( 'services' ) ) {
				$show_page_title = get_theme_mod('show_service_title', true );
			} else {
				if ( is_singular( 'ourteam' ) ) {
					$show_page_title = get_theme_mod('show_our_team_title', true );
				} else {
					if ( is_singular( 'post' ) ) {
						$show_page_title = get_theme_mod('show_single_blog_title', true );
					}
				}
			}
		}
	}

}


if ( itcode_is_frontpage() and get_theme_mod('show_title_on_front', true ) == false ){
    $show_page_title = false ;
}
// stop if no show
if ( $show_page_title == false ) {
    return;
}



$on_front = get_option( 'show_on_front' );
$page_title  = '';
//$page_title = rwmb_meta( 'itcode_page_title_custom', 'type=text', get_the_ID() );

if ( !have_posts() ) {
    // 404 error, empty category
    $page_title = esc_html__( "Nothing Found", 'itcode' );
}elseif ( is_category() ) {
    $page_title = single_cat_title( '', false );
} elseif ( is_tag() ) {
    $page_title = single_tag_title( esc_html__( "Tags: ", 'itcode' ), false );
} elseif ( is_author() ) {
    $page_title = sprintf( esc_html__( 'Author: %s', 'itcode' ), get_the_author() );
} elseif ( is_day() ) {
    $page_title = sprintf( esc_html__( 'Daily Archives: %s', 'itcode' ), get_the_date() );
} elseif ( is_month() ) {
    $page_title = sprintf( esc_html__( 'Monthly Archives: %s', 'itcode' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'itcode' ) ) );
} elseif ( is_year() ) {
    $page_title = sprintf( esc_html__( 'Yearly Archives: %s', 'itcode' ), get_the_date( _x( 'Y', 'yearly archives date format', 'itcode' ) ) );
} elseif ( is_search() ) {
    $page_title = sprintf( esc_html__( 'Search Results for: %s', 'itcode' ), get_search_query() );
} elseif ( is_tax( 'post_format', 'post-format-aside' ) ) {
    $page_title = esc_html__( 'Asides', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) {
    $page_title = esc_html__( 'Galleries', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-image' ) ) {
    $page_title = esc_html__( 'Images', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-video' ) ) {
    $page_title = esc_html__( 'Videos', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-quote' ) ) {
    $page_title = esc_html__( 'Quotes', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-link' ) ) {
    $page_title = esc_html__( 'Links', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-status' ) ) {
    $page_title = esc_html__( 'Statuses', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-audio' ) ) {
    $page_title = esc_html__( 'Audios', 'itcode' );
} elseif ( is_tax( 'post_format', 'post-format-chat' ) ) {
    $page_title = esc_html__( "Chats", 'itcode' );
} elseif ( is_home() ) {
    if ( ( $on_front == 'page' && get_queried_object_id() == get_post( get_option( 'page_for_posts' ) )->ID ) || ( $on_front == 'posts' ) ) {
        $page_title = esc_html__( "News", 'itcode' );
    } elseif ( $page_title === '' ) {
        if ( is_singular( 'post' ) ) {
            $page_title = get_the_title(); //'News';
        } elseif ( is_singular( 'services' ) ) {
            $page_title = 'Services';
        } else {
            $page_title = get_the_title();
        }
    }
     //elseif(  $page_title === false  ){
     //   var_dump($page_title);
     //   $page_title = '';
    //}
}elseif ( is_page() ){
    $page_title = get_the_title();
}else{
    $page_title = get_the_title();
}



$page_description = '';
//$page_description = rwmb_meta( 'itcode_page_description', 'type=text', get_the_ID() );


if ( is_category() ) {
    $category         = get_category( get_query_var( 'cat' ) );
    $cat_id           = $category->cat_ID;
    $page_description = category_description( $cat_id );
} elseif ( taxonomy_exists( 'portfolio-category' ) ) {
    $taxonomy = get_queried_object();
    if ( $taxonomy ) {
        $term_id          = $taxonomy->term_id;
        $page_description = term_description( $term_id, 'portfolio-category' );
    }
} elseif ( taxonomy_exists( 'ourteam_category' ) ) {
    $taxonomy = get_queried_object();
    if ( $taxonomy ) {
        $term_id          = $taxonomy->term_id;
        $page_description = term_description( $term_id, 'ourteam_category' );
    }
} elseif ( taxonomy_exists( 'services-category' ) ) {
    $taxonomy = get_queried_object();
    if ( $taxonomy ) {
        $term_id          = $taxonomy->term_id;
        $page_description = term_description( $term_id, 'services-category' );
    }
}


//archive
$page_title_bg_image = '';
$page_title_height   = '';
$cat                 = get_queried_object();
if ( $cat && property_exists( $cat, 'term_id' ) ) {
    $page_title_bg_image = get_tax_meta( $cat, 'itcode_page_title_background' );
    $page_title_height   = get_tax_meta( $cat, 'itcode_page_title_height' );
}



if ( !$page_title_bg_image || ( $page_title_bg_image === '' ) ) {
    $page_title_bg_image = get_theme_mod('archive_title_bg_image');
}


if ( isset( $page_title_bg_image )  ) {
    $page_title_bg_image_url = get_theme_mod('archive_title_bg_image'); // todo fix url
}

if ( ( $page_title_height === '' ) || $page_title_height <= 0 ) {
    $page_title_height =  get_theme_mod('archive_title_height','100');
    //var_dump(get_theme_mod('archive_title_height','100'));
}

if ( ( $page_title_height === '' ) || $page_title_height <= 0 ) {
    $page_title_height = get_theme_mod('archive_product_title_height', 100 );
}

//$page_title_text_color = rwmb_meta( 'itcode_page_title_text_color', 'type=color', get_the_ID() );

//$page_title_bg_color = rwmb_meta( 'itcode_page_title_bg_color', 'type=color', get_the_ID() );

//$page_title_bg_images = rwmb_meta( 'itcode_page_title_bg_image', 'type=image&size=full', get_the_ID() );
//if ( !$page_title_bg_images ) {
//	$page_title_bg_image = get_theme_mod('page_title_bg_image');
//
//	if ( is_singular( 'product' ) ) {
//		$page_title_bg_image = get_theme_mod('single_product_title_bg_image');
//	} else {
//		if ( is_singular( 'portfolio' ) ) {
//			$page_title_bg_image = get_theme_mod('portfolio_title_bg_image');
//		} else {
//			if ( is_singular( 'services' ) ) {
//				$page_title_bg_image = get_theme_mod('service_title_bg_image');
//			} else {
//				if ( is_singular( 'ourteam' ) ) {
//					$page_title_bg_image = get_theme_mod('our_team_title_bg_image');
//				} else {
//					if ( is_singular( 'post' ) ) {
//						$page_title_bg_image = get_theme_mod('single_blog_title_bg_image');
//						//var_dump($page_title_bg_image); // ok
//					}
//				}
//			}
//		}
//	}
//
//} else {
//	$page_title_bg_image_id = itcode_get_post_meta( get_the_ID(), 'itcode_page_title_bg_image', true );
//	$page_title_bg_image    = $page_title_bg_images[$page_title_bg_image_id];
//}

if ( isset( $page_title_bg_image ) ) {
	$page_title_bg_image_url = $page_title_bg_image;
}

//$page_title_overlay_color      = rwmb_meta( 'itcode_page_title_overlay_color', 'type=color', get_the_ID() );
//$page_title_overlay_opacity    = '';
//$enable_custom_overlay_opacity = rwmb_meta( 'itcode_enable_custom_overlay_opacity', 'type=checkbox', get_the_ID() );
//if ( $enable_custom_overlay_opacity == 1 ) {
//	$page_title_overlay_opacity = rwmb_meta( 'itcode_page_title_overlay_opacity', 'type=slider', get_the_ID() ) / 100;
//}

//$page_title_height = rwmb_meta( 'itcode_page_title_height', 'type=number', get_the_ID() );

if ( $page_title_height === '' || $page_title_height === false ) {

	$page_title_height = get_theme_mod('page_title_height','height', 150 );

	if ( is_singular( 'product' ) ) {
		$page_title_height = get_theme_mod('single_product_title_height', 150 );
	} else {
		if ( is_singular( 'portfolio' ) ) {
			$page_title_height = !get_theme_mod('portfolio_title_height','height', 150);
		} else {
			if ( is_singular( 'services' ) ) {
				$page_title_height = get_theme_mod('service_title_height','height', 150);
			} else {
				if ( is_singular( 'ourteam' ) ) {
					$page_title_height = get_theme_mod('our_team_title_height','height', 150);
				} else {
					if ( is_singular( 'post' ) ) {
						$page_title_height = get_theme_mod('single_blog_title_height','height', 150);
					}
				}
			}
		}
	}

}



$class   = array();
$class[] = 'page-title-wrapper';
$custom_text_color_style = '';

$custom_styles = array();

if ( $page_title_bg_image_url != '' ) {  // todo fix Undefined variable: page_title_bg_image_url
	$class[]         = 'page-title-wrap-bg';
	$custom_styles[] = 'background-image: url(' . $page_title_bg_image_url . ');';
}

//if ( $page_title_bg_color != '' ) {
//	$custom_styles[] = 'background-color:' . $page_title_bg_color;
//}

$custom_text_color_styles = array();
//if ( $page_title_text_color != '' ) {
//	$custom_text_color_styles[] = 'color:' . $page_title_text_color;
//}

if ( ( $page_title_height != '' ) && ( $page_title_height > 0 ) ) {
	$custom_styles[] = 'height:' . $page_title_height . 'px'; // todo fix mistake units
}

//$page_title_remove_margin_bottom = rwmb_meta( 'itcode_page_title_remove_margin_bottom', 'type=checkbox', get_the_ID() );
//if ( $page_title_remove_margin_bottom ) {
//	$class[] = 'page-title-no-margin-bottom';
//}

$class_name = join( ' ', $class );


$class   = array();
$class[] = 'page-title-wrapper';

$custom_styles = array();


if ( $page_title_bg_image_url != '' ) {
    $class[]         = 'page-title-wrap-bg';
    $custom_styles[] = 'background-image: url(' . $page_title_bg_image_url . ')';
}

if ( ( $page_title_height != '' ) && ( $page_title_height > 0 ) ) {
    $custom_styles[] = 'height:' . $page_title_height . 'px';
}
$class_name = join( ' ', $class );

$custom_style = '';
if ( $custom_styles ) {
    $custom_style = 'style="' . join( ';', $custom_styles ) . '"';
}
if ( $page_title_bg_image_url != '' ) {
    $class[]         = 'page-title-wrap-bg';
    $custom_styles[] = 'background-image: url(' . $page_title_bg_image_url . ');';
}
$allowed_html = array(
    'i'  => array(
        'class' => array(),
    ),
    'p'  => array(),
    'em' => array(),
);

// todo add custom_text_color_style to H1 tag

$custom_style = '';
if ( $custom_styles ) {
	$custom_style = 'style="' . join( ';', $custom_styles ) . '"';
}

/*if (!empty($page_title_bg_image_url)) {
$custom_style.= ' data-stellar-background-ratio="0.5"';
}*/

$custom_overlay_styles = array();
//if ( $page_title_overlay_color != '' ) {
//	$custom_overlay_styles[] = 'background-color:' . $page_title_overlay_color;
//}

//if ( $page_title_overlay_opacity != '' ) {
//	$custom_overlay_styles[] = 'opacity:' . $page_title_overlay_opacity;
//}
$custom_overlay_style = '';
if ( $custom_overlay_styles ) {
	$custom_overlay_style = 'style="' . join( ';', $custom_overlay_styles ) . '"';
}

$custom_text_color_style = '';
if ( $custom_text_color_styles ) {
	$custom_text_color_style = 'style="' . join( ';', $custom_text_color_styles ) . '"';
}


////
$itcode_title_position = $class_position = '';
//$itcode_title_position = rwmb_meta( 'itcode_page_title_position' );
if ( ( $itcode_title_position === '' ) || ( $itcode_title_position == '-1' ) ) {
    $itcode_title_position = get_theme_mod('title_position', 'left');
}
if ( $itcode_title_position == 'left' ) {
    $class_position = 'justify-content-start';
} elseif ($itcode_title_position == 'center'){
    $class_position = 'justify-content-center';
}else {
    $class_position = 'justify-content-end';
}


/////


/**
 * Breadcrumbs settings
 *
 */
$breadcrumbs_in_page_title = get_theme_mod('enable_breadcrumbs', true );// rwmb_meta( 'itcode_breadcrumbs_in_page_title' );

$breadcrumbs_in_archive_page_title = get_theme_mod('breadcrumbs_in_archive_title');


if ( ( $breadcrumbs_in_page_title == - 1 ) || ( $breadcrumbs_in_page_title === '' ) || ( $breadcrumbs_in_page_title === false ) ) {
    $breadcrumbs_in_page_title = get_theme_mod('enable_breadcrumbs', true );

    if ( is_singular( 'product' ) ) {
        $breadcrumbs_in_page_title = get_theme_mod('breadcrumbs_in_single_product_title', true );
    } else {
        if ( is_singular( 'portfolio' ) ) {
            $breadcrumbs_in_page_title = get_theme_mod('breadcrumbs_in_portfolio_title', true );
        } else {
            if ( is_singular( 'services' ) ) {
                $breadcrumbs_in_page_title = get_theme_mod('breadcrumbs_in_service_title', true );
            } else {
                if ( is_singular( 'ourteam' ) ) {
                    $breadcrumbs_in_page_title = get_theme_mod('breadcrumbs_in_our_team_title', true );
                } else {
                    if ( is_singular( 'post' ) ) {
                        $breadcrumbs_in_page_title = get_theme_mod('breadcrumbs_in_single_blog_title', true );
                    }
                }
            }
        }
    }
}// end if breadcrumbs_in_page_title
$itcode_breadcrumbs_position = $class_breadcrumbs = '';
//$itcode_breadcrumbs_position = rwmb_meta( 'itcode_breadcrumbs_position' );
if ( ( $itcode_breadcrumbs_position === '' ) || ( $itcode_breadcrumbs_position == '-1' ) ) {
    $itcode_breadcrumbs_position = get_theme_mod('breadcrumbs_position', 'left');
}
if ( $itcode_breadcrumbs_position == 'left' ) {
    $class_breadcrumbs = 'justify-content-start';
} elseif ($itcode_breadcrumbs_position == 'center'){
    $class_breadcrumbs = 'justify-content-center';
}else {
    $class_breadcrumbs = 'justify-content-end';
}


?>
<section class="<?php echo esc_attr( $class_name ) ?>">
	<div class="container">
		<div class="row align-items-center <?php echo esc_attr( $class_position ) ?>"  <?php echo wp_kses_post( $custom_style ); ?>>
            <h1 class="page-title" >
                <?php echo esc_html( $page_title );	?>
                <?php //woocommerce_page_title(); ?>
            </h1>
            <?php if ( $page_description != '' ): ?>
                <p class="page-title" <?php echo wp_kses_post( $custom_text_color_style ); ?>>
                    <?php echo wp_kses( ( $page_description ), $allowed_html ) ?>
                </p>
            <?php endif; ?>
		</div><!-- end row align-items-center -->
	</div><!-- end container -->
    <?php if ( $breadcrumbs_in_page_title == 1 ) { ?>

        <div class="row-breadcrumbs">
            <div class="container">
                <div class="row <?php echo esc_attr( $class_breadcrumbs ) ?>">
                    <?php if ( !is_front_page() ) { ?>
                        <?php itcode_get_breadcrumb(); ?>
                    <?php }else{ ?>
                        <ul class="breadcrumbs">
                            <li class="home">
                                <a rel="v:url" href="<?php echo esc_html( home_url( '/' ) ) ?>" class="home"><?php echo esc_html__( 'Home', 'itcode' ) ?></a>
                            </li>
                        </ul><!-- end ul breadcrumbs -->
                    <?php } ?>
                </div>
            </div>
        </div><!-- end row-breadcrumbs -->

        <?php   //itcode_the_breadcrumb(); // deprecate ?>

    <?php } ?>
</section><!-- end section -->