<?php
/**
 * Created by PhpStorm.
 * User: Mr.Andreius
 * Date: 03.04.2017
 * Time: 3:04
 */

$itcode_loop = itcode_loop();
//echo '<pre>';
//var_dump($itcode_loop);
//echo '</pre>';


?>


<div class="wrapper <?php echo join( ' ', $itcode_loop['main_class'] ) ?>" id="<?php echo esc_html( $itcode_loop['wrapper_id'] ); ?>">
    <?php if ( $itcode_loop['layout_style'] != 'full' ): ?>
    <div class="<?php echo esc_attr( $itcode_loop['layout_style'] ) ?> clearfix">
        <?php endif; ?>

        <?php if ( ( $itcode_loop['content_col_number'] != 12 ) || ( $itcode_loop['layout_style'] != 'full' ) ): ?>
        <div class="row clearfix">
            <?php endif; ?>
            <?php if ( is_active_sidebar( $itcode_loop['left_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'left' ) || ( $itcode_loop['sidebar'] == 'both' ) ) ): ?>
                <!-- Do the left sidebar -->
                <div class="sidebar left-sidebar <?php echo esc_attr( $itcode_loop['sidebar_col'] ) ?>">
                    <?php dynamic_sidebar( $itcode_loop['left_sidebar'] ); ?>
                </div>
            <?php endif; ?>
            <main class="site-content-page-inner site-main blog-inner <?php echo esc_attr( $itcode_loop['content_col'] ) ?>" id="main">


                <?php

                switch($itcode_loop['type']) {
                    case 'portfolio':
                        get_template_part( 'loop-templates/portfolio' );
                        break;
                    case 'projects':


                            /**
                             * projects_before_main_content hook
                             *
                             * @hooked projects_output_content_wrapper - 10 (outputs opening divs for the content)
                             */
                            do_action( 'projects_before_main_content' );
                        ?>


                                    <?php if ( apply_filters( 'projects_show_page_title', true ) ) : ?>

                                        <h1 class="page-title"><?php //projects_page_title(); ?></h1>

                                    <?php endif; ?>

                                    <?php do_action( 'projects_archive_description' ); ?>

                                    <?php if ( have_posts() ) : ?>

                                        <?php
                                        /**
                                         * projects_before_loop hook
                                         *
                                         */
                                        do_action( 'projects_before_loop' );
                                        ?>

                                        <div class="projects columns-<?php echo $itcode_loop['projects_columns']; ?>">

                                            <?php projects_project_loop_start(); ?>

                                            <?php while ( have_posts() ) : the_post(); ?>

                                                <?php projects_get_template_part( 'content', 'project' ); ?>

                                            <?php endwhile; // end of the loop. ?>

                                            <?php projects_project_loop_end(); ?>

                                        </div><!-- .projects -->

                                        <?php
                                        /**
                                         * projects_after_loop hook
                                         *
                                         * @hooked projects_pagination - 10
                                         */
                                        //do_action( 'projects_after_loop' );
                                        ?>

                                    <?php else : ?>

                                        <?php projects_get_template( 'loop/no-projects-found.php' ); ?>

                                    <?php endif; ?>




                                    <?php
                                    /**
                                     * projects_after_main_content hook
                                     *
                                     * @hooked projects_output_content_wrapper_end - 10 (outputs closing divs for the content)
                                     */
                                    do_action( 'projects_after_main_content' );
                                    ?>

                                    <?php
                                    /**
                                     * projects_sidebar hook
                                     *
                                     * @hooked projects_get_sidebar - 10
                                     */
                                    //do_action( 'projects_sidebar' );



                        break;

                    case 'project':
                        /**
                         * projects_before_main_content hook
                         *
                         * @hooked projects_output_content_wrapper - 10 (outputs opening divs for the content)
                         */
                        do_action( 'projects_before_main_content' );
                        ?>

                        <div class="card">
                            <?php while ( have_posts() ) : the_post(); ?>

                                <?php projects_get_template_part( 'content', 'single-project' ); ?>

                            <?php endwhile; // end of the loop. ?>
                        </div>


                        <?php
                        /**
                         * projects_after_main_content hook
                         *
                         * @hooked projects_output_content_wrapper_end - 10 (outputs closing divs for the content)
                         */
                        do_action( 'projects_after_main_content' );
                        ?>

                        <?php
                        /**
                         * projects_sidebar hook
                         *
                         * @hooked projects_get_sidebar - 10
                         */
                        //do_action( 'projects_sidebar' );
                        break;
                    //default:
                    //    get_template_part( 'loop-templates/content', get_post_format() );
                    //    break;
                }


                if ( have_posts() ) {
                    /* Start the Loop */
                    while ( have_posts() ) : the_post();
                        switch($itcode_loop['type']) {
                            case 'archive':
                                /**
                                 * Include the Post-Format-specific template for the content.
                                 * If you want to override this in a child theme, then include a file
                                 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                 */
                                get_template_part( 'loop-templates/content', get_post_format() );
                                break;
                            case 'page':
                                // Include the page content template.
                                get_template_part( 'loop-templates/content', 'page' );
                                break;
                            case 'single':
                                // Include the page content template.
                                get_template_part( 'loop-templates/content', 'single' );
                                itcode_post_nav();
                                break;
                            case 'encyclopedia':
                                // Include the page content template. only BdB site!
                                get_template_part( 'loop-templates/content', 'encyclopedia' );
                                itcode_post_nav();
                                break;
                            case 'portfolio':
                                //get_template_part( 'loop-templates/portfolio' );
                                break;
                            case 'author':
                                // Include the author page content template.
                                get_template_part( 'loop-templates/author' );
                                break;
                            case 'woocommerce':
                                // Include the woocommerce page content template.
                                woocommerce_content();
                                break;
                            case 'index':
                                /**
                                 * Include the Post-Format-specific template for the content.
                                 * If you want to override this in a child theme, then include a file
                                 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                 */

                                //////////
                                get_template_part( 'loop-templates/content-'.$itcode_loop['template_type'].'', get_post_format() );
                                break;
                            //default:
                            //    get_template_part( 'loop-templates/content', get_post_format() );
                            //    break;
                        }
                    endwhile;
                    itcode_loop_reset();
                    // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) {
                        comments_template();
                    }
                }else {
                    get_template_part( 'loop-templates/content', 'none' );
                    itcode_loop_reset();
                }

                 ?>


                <!-- The pagination component -->
                <?php // start paging
                global $wp_query;
                if ( $wp_query->max_num_pages > 1 ) :
                    ?>
                    <div class="d-flex justify-content-center blog-paging-wrapper blog-paging-<?php echo esc_attr( $itcode_loop['paging_style'] ); ?>">
                        <?php
                        switch ( $itcode_loop['paging_style'] ) {
                            case 'load-more':
                                itcode_paging_load_more();
                                break;
                            case 'infinity-scroll':
                                itcode_paging_infinitescroll();
                                break;
                            default:
                                echo itcode_paging_nav();
                                break;
                        }
                        ?>
                    </div>
                <?php endif; // end paging  ?>

            </main><!-- #main -->



            <?php if ( is_active_sidebar( $itcode_loop['right_sidebar'] ) && ( ( $itcode_loop['sidebar'] == 'right' ) || ( $itcode_loop['sidebar'] == 'both' ) ) ): ?>

                <!-- Do the right sidebar -->
                <div class="sidebar right-sidebar <?php echo esc_attr( $itcode_loop['sidebar_col'] ) ?>">
                    <?php dynamic_sidebar( $itcode_loop['right_sidebar'] ); ?>
                </div>
            <?php endif; ?>
            <?php if ( ( $itcode_loop['content_col_number'] != 12 ) || ( $itcode_loop['layout_style'] != 'full' ) ): ?>
        </div><!-- .row -->
    <?php endif; ?>
        <?php if ( $itcode_loop['layout_style'] != 'full' ): ?>
    </div><!-- Container end -->
<?php endif; ?>
</div><!-- Wrapper end -->