<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! wc_coupons_enabled() ) {
	return;
}


?>
<div class="card mb-3">
    <div class="card-header">
        <?php
        if ( empty( WC()->cart->applied_coupons ) ) {
	$info_message = apply_filters( 'woocommerce_checkout_coupon_message', __( 'Have a coupon?', 'itcode' ) . ' <a href="#" class="showcoupon">' . __( 'Click here to enter your code', 'itcode' ) . '</a>' );
	wc_print_notice( $info_message, 'notice' );
        }
        ?>
    </div>

    <div class="card-block">
        <form class="form-inline checkout_coupon justify-content-end" method="post" style="display:none">
            <label class="sr-only" for="inlineFormInput"><?php esc_attr_e( 'Coupon code', 'itcode' ); ?></label>
            <!--<input type="text" class="form-control mb-2 mr-sm-2 mb-sm-0" id="inlineFormInput" placeholder="Jane Doe">-->
            <input type="text" name="coupon_code" class="form-control mb-2 mr-sm-2 mb-sm-0" placeholder="<?php esc_attr_e( 'Coupon code', 'itcode' ); ?>" id="coupon_code" value="" />
            <button type="submit" class="btn btn-primary"><?php esc_attr_e( 'Apply Coupon', 'itcode' ); ?></button>
        </form>

    </div>
</div>

