<?php
/**
 * My Account navigation
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/navigation.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<!-- start woocommerce_before_account_navigation -->
<?php do_action( 'woocommerce_before_account_navigation' ); ?>
<!-- end woocommerce_before_account_navigation -->
<ul class="nav nav-pills card-header-pills flex-column flex-sm-row" role="navigation">
			<?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) : ?>
        <li class="nav-item">
            <a href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>" class="flex-sm-fill text-sm-center  nav-link"><?php echo esc_html( $label ); ?></a>
        </li>
			<?php endforeach; ?>
</ul>
<!-- start woocommerce_after_account_navigation -->
<?php do_action( 'woocommerce_after_account_navigation' ); ?>
<!-- end woocommerce_after_account_navigation -->