<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>
    <script>
        jQuery(function($) {
            "use strict";
            $( document.body ).on( 'wc-init-tabbed-panels', function() {
                $('a[href="#tab-description"]').addClass('active');
                $('div#tab-description').addClass('active show');
            }).trigger( 'wc-init-tabbed-panels' );
        });

    </script>
	<div class="card woocommerce-tabs wc-tabs-wrapper">
        <div class="card-header">
            <!-- Nav tabs -->
            <ul class="nav nav-tabs card-header-tabs" role="tablist">
                <?php foreach ( $tabs as $key => $tab ) : ?>
                    <li class="nav-item <?php echo esc_attr( $key ); ?>_tab">
                        <a class="nav-link" data-toggle="tab" href="#tab-<?php echo esc_attr( $key ); ?>" role="tab"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
                    </li>
                <?php endforeach; ?>
            </ul>
        </div>
        <!-- Tab panes -->
        <div class="card-block tab-content">
            <?php foreach ( $tabs as $key => $tab ) : ?>
                <div class="tab-pane fade" id="tab-<?php echo esc_attr( $key ); ?>" role="tabpanel">
                            <?php call_user_func( $tab['callback'], $key, $tab ); ?>
                </div>
            <?php endforeach; ?>
        </div>
	</div>
<?php endif; ?>
